Scriptname SPMCMConfig extends SKI_ConfigBase

int timebetweenregattacksoid
int timebetweenfastattacksoid

SLPheromonesControlScript Property Pheromones Auto
String File

float property TimeBetweenRegAttacks = 2.5 auto
float property TimeBetweenFastAttacks = 1.25 auto


int TimeBetweenRegAttacksDefault = 3
int TimeBetweenFastAttacksDefault = 2
int NPCsAllowedOID
int CreaturesAllowedOID

int AshHopperAllowedOID
int BearAllowedOID
int WerewolfAllowedOID
int CanineAllowedOID
int ChaurusAllowedOID
int ChaurusHunterAllowedOID
int DraugrAllowedOID
int FalmerAllowedOID
int GargoyleAllowedOID
int GiantAllowedOID
int GoatAllowedOID
int HorkerAllowedOID
int MammothAllowedOID
int RabbitAllowedOID
int RieklingAllowedOID
int SeekerAllowedOID
int SkeeverAllowedOID
int SpiderAllowedOID
int SpiderLargeAllowedOID
int SpiderGiantAllowedOID
int TrollAllowedOID
int HorseAllowedOID
int SabreCatAllowedOID
int VampireAllowedOID
int FrostAtronachAllowedOID
int DeerAllowedOID
int CreatureGroupsAllowedOID
int MalesAllowedOID
int FemalesAllowedOID

int BoarAllowedOID
int ChaurusReaperAllowedOID
int CowAllowedOID
int DwarvenCenturianAllowedOID
int DwarvenSphereAllowedOID
int HagravenAllowedOID
int LurkerAllowedOID
int SprigganAllowedOID
int VampireLordAllowedOID
int WolfAllowedOID
int DragonAllowedOID

int ChickenAllowedOID
int DragonPriestAllowedOID
int DremoraAllowedOID
int DwarvenBallistaAllowedOID
int FlameAtronachAllowedOID
int NetchAllowedOID
int StormAtronachAllowedOID
int WispMotherAllowedOID

int ArgonianAllowedOID
int BretonAllowedOID
int DarkElfAllowedOID
int HighElfAllowedOID
int ImperialAllowedOID
int KhajiitAllowedOID
int NordAllowedOID
int OrcAllowedOID
int RedguardAllowedOID
int WoodElfAllowedOID
int StealthModeOID
int BonusChanceOID
int BonusChanceValueOID
int SexLabArousedOID
int ToggleAllOID
int TurnOnDebugsOID
int SuspendAttacksOID
int AllowFollowerSupportOID
Int AttackStartOnHitOID
Int RelentlessAttackersOID
Int AttackersDamageOID

bool property AttackersDamage = False Auto
bool property RelentlessAttackers = False Auto
bool property AttackStartOnHit = False Auto
bool property BonusChanceAllowed = False Auto
bool property SexLabArousedAllowed = False Auto
bool property FemalesAllowed = True Auto
bool property MalesAllowed = True Auto
bool property AshHopperAllowed = True Auto
bool property BearAllowed = True Auto
bool property WerewolfAllowed = True Auto
bool property CanineAllowed = True Auto
bool property ChaurusAllowed = True Auto
bool property ChaurusHunterAllowed = True Auto
bool property DraugrAllowed = True Auto
bool property FalmerAllowed = True Auto
bool property GargoyleAllowed = True Auto
bool property GiantAllowed = True Auto
bool property GoatAllowed = True Auto
bool property HorkerAllowed = True Auto
bool property MammothAllowed = True Auto
bool property RabbitAllowed = True Auto
bool property RieklingAllowed = True Auto
bool property SeekerAllowed = True Auto
bool property SkeeverAllowed = True Auto
bool property SpiderAllowed = True Auto
bool property SpiderLargeAllowed = True Auto
bool property SpiderGiantAllowed = True Auto
bool property TrollAllowed = True Auto
bool property HorseAllowed = True Auto
bool property SabreCatAllowed = True Auto
bool property VampireAllowed = True Auto
bool property FrostAtronachAllowed = True Auto
bool property DeerAllowed = True Auto
bool property DragonAllowed = True Auto
bool property ChickenAllowed = True Auto
bool property DragonPriestAllowed = True Auto
bool property DremoraAllowed = True Auto
bool property DwarvenBallistaAllowed = True Auto
bool property FlameAtronachAllowed = True Auto
bool property NetchAllowed = True Auto
bool property StormAtronachAllowed = True Auto
bool property WispMotherAllowed = True Auto
bool property AllowFollowerSupport = True Auto

bool property SuspendAttacks = False Auto

bool property ToggleAll = False Auto

bool property BoarAllowed = True Auto
bool property ChaurusReaperAllowed = True Auto
bool property CowAllowed = True Auto
bool property DwarvenCenturianAllowed = True Auto
bool property DwarvenSphereAllowed = True Auto
bool property HagravenAllowed = True Auto
bool property LurkerAllowed = True Auto
bool property SprigganAllowed = True Auto
bool property VampireLordAllowed = True Auto
bool property WolfAllowed = True Auto
bool property StealthMode = False Auto
bool property CreatureGroupsAllowed = False Auto ; FLEN: groups break the script if there are no animations
bool property ArgonianAllowed = True Auto
bool property BretonAllowed = True Auto
bool property DarkElfAllowed = True Auto
bool property HighElfAllowed = True Auto
bool property ImperialAllowed = True Auto
bool property KhajiitAllowed = True Auto
bool property NordAllowed = True Auto
bool property OrcAllowed = True Auto
bool property RedguardAllowed = True Auto
bool property WoodElfAllowed = True Auto
bool property CreaturesAllowed = True Auto
bool property NPCsAllowed = True Auto

bool property installed_SkoomaWhore = False Auto
bool property installed_MilkModEconomy = False Auto
bool property installed_iNeed = False Auto
bool property installed_SoulgemOven = False Auto
bool property installed_RealisticNeedsandDiseases = False Auto
bool property installed_MiniNeeds = False Auto
bool property installed_PSQ = False Auto
bool property installed_DeviouslyHelpless = False Auto
bool property installed_SexLabAroused = False Auto
bool property installed_BathingInSkyrim = False Auto
bool property installed_HydraSlavegirls = False Auto
bool property installed_SexLabArousedCreatures = False Auto
bool property installed_AnubsCreaturePack = False Auto
bool property installed_SexLabSeparateOrgasms = False Auto
bool property exportsettings = false Auto
bool property importsettings = false Auto
bool property TurnOnDebugs = false Auto


Int pheromoneschanceOID
Int MinimumArousalOID
int ArousalMultiplierOID
;Int clearpheromoneschanceOID
Int extrapheromoneschanceOID

Int AshHopperHitOID
Int FrostAtronachRaceHitOID
Int BearRaceHitOID
Int CanineRaceHitOID
Int ChaurusRaceHitOID
Int ChaurusHunterRaceHitOID
Int DeerRaceHitOID
Int DraugrRaceHitOID
Int FalmerRaceHitOID
Int GargoyleRaceHitOID
Int GiantRaceHitOID
Int GoatRaceHitOID
Int HorkerRaceHitOID
Int HorseBlackRaceHitOID
Int MammothRaceHitOID
Int RabbitRaceHitOID
Int RieklingRaceHitOID
Int SeekerRaceHitOID
Int SkeeverRaceHitOID
Int SpiderRaceHitOID
Int SpiderLargeRaceHitOID
Int SpiderGiantRaceHitOID
Int TrollRaceHitOID
Int WerewolfRaceHitOID
Int SabreCatRaceHitOID
Int VampireRaceHitOID
Int BoarRaceHitOID
Int ChaurusReaperRaceHitOID
Int CowRaceHitOID
Int DwarvenCenturianRaceHitOID
Int DwarvenSphereRaceHitOID
Int HagravenRaceHitOID
Int LurkerRaceHitOID
Int SprigganRaceHitOID
Int VampireLordRaceHitOID
Int WolfRaceHitOID
Int MagicAnomalyRaceHitOID
Int DragonRaceHitOID
Int FlameAtronachRaceHitOID
Int ChickenRaceHitOID
Int DragonPriestRaceHitOID
Int DremoraRaceHitOID
Int DwarvenBallistaRaceHitOID
Int NetchRaceHitOID
Int StormAtronachRaceHitOID
Int WispMotherRaceHitOID
Int HornyArgonianRaceHitOID
Int HornyBretonRaceHitOID
Int HornyImperialRaceHitOID
Int HornyKhajiitRaceHitOID
Int HornyNordRaceHitOID
Int HornyRedguardRaceHitOID
Int HornyDarkElfRaceHitOID
Int HornyHighElfRaceHitOID
Int HornyWoodElfRaceHitOID
Int HornyOrcRaceHitOID
Int exportsettingsOID
Int importsettingsOID
Int PheromonesEffectDurationOID
Int StrongPheromonesEffectDurationOID
Int CreatureSpeedOID
Int CreatureArousalOID
Int CaptureRadiusOID
Int SetAllAttackSlidersOID
Int CombatModeHitChanceOID

Float Property CombatModeChance = 100.00 Auto
Float Property SetAllAttackSliders = 2.00 Auto
float property CaptureRadius = 150.00 Auto
float property CreatureArousal = 80.00 Auto
float property CreatureSpeed = 0.00 Auto
float property BonusChanceValue = 0.00 Auto
float property pheromoneschance = 20.0 Auto
float property MinimumArousal = 60.0 auto
float property ArousalMultiplier = 50.0 auto
;float property clearpheromoneschance = 10.0 Auto
float property extrapheromoneschance = 10.0 Auto

Float Property AshHopperHitChance = 2.00 Auto
Float Property FrostAtronachRaceHitChance = 2.00 Auto
Float Property BearRaceHitChance = 2.00 Auto
Float Property CanineRaceHitChance = 2.00 Auto
Float Property ChaurusRaceHitChance = 2.00 Auto
Float Property ChaurusHunterRaceHitChance = 2.00 Auto
Float Property DeerRaceHitChance = 2.00 Auto
Float Property DraugrRaceHitChance = 2.00 Auto
Float Property FalmerRaceHitChance = 2.00 Auto
Float Property GargoyleRaceHitChance = 2.00 Auto
Float Property GiantRaceHitChance = 2.00 Auto
Float Property GoatRaceHitChance = 2.00 Auto
Float Property HorkerRaceHitChance = 2.00 Auto
Float Property HorseBlackRaceHitChance = 2.00 Auto
Float Property MammothRaceHitChance = 2.00 Auto
Float Property RabbitRaceHitChance = 2.00 Auto
Float Property RieklingRaceHitChance = 2.00 Auto
Float Property SeekerRaceHitChance = 2.00 Auto
Float Property SkeeverRaceHitChance = 2.00 Auto
Float Property SpiderRaceHitChance = 2.00 Auto
Float Property SpiderLargeRaceHitChance = 2.00 Auto
Float Property SpiderGiantRaceHitChance = 2.00 Auto
Float Property TrollRaceHitChance = 2.00 Auto
Float Property WerewolfRaceHitChance = 2.00 Auto
Float Property SabreCatRaceHitChance = 2.00 Auto
Float Property VampireRaceHitChance = 2.00 Auto
Float Property BoarRaceHitChance = 2.00 Auto
Float Property ChaurusReaperRaceHitChance = 2.00 Auto
Float Property CowRaceHitChance = 2.00 Auto
Float Property DwarvenCenturianRaceHitChance = 2.00 Auto
Float Property DwarvenSphereRaceHitChance = 2.00 Auto
Float Property HagravenRaceHitChance = 2.00 Auto
Float Property LurkerRaceHitChance = 2.00 Auto
Float Property SprigganRaceHitChance = 2.00 Auto
Float Property VampireLordRaceHitChance = 2.00 Auto
Float Property WolfRaceHitChance = 2.00 Auto
Float Property MagicAnomalyRaceHitChance = 2.00 Auto
Float Property DragonRaceHitChance = 2.00 Auto
Float Property FlameAtronachRaceHitChance = 2.00 Auto
Float Property ChickenRaceHitChance = 2.00 Auto
Float Property DragonPriestRaceHitChance = 2.00 Auto
Float Property DremoraRaceHitChance = 2.00 Auto
Float Property DwarvenBallistaRaceHitChance = 2.00 Auto
Float Property NetchRaceHitChance = 2.00 Auto
Float Property StormAtronachRaceHitChance = 2.00 Auto
Float Property WispMotherRaceHitChance = 2.00 Auto
Float Property HornyArgonianRaceHitChance = 2.00 Auto
Float Property HornyBretonRaceHitChance = 2.00 Auto
Float Property HornyImperialRaceHitChance = 2.00 Auto
Float Property HornyKhajiitRaceHitChance = 2.00 Auto
Float Property HornyNordRaceHitChance = 2.00 Auto
Float Property HornyRedguardRaceHitChance = 2.00 Auto
Float Property HornyDarkElfRaceHitChance = 2.00 Auto
Float Property HornyHighElfRaceHitChance = 2.00 Auto
Float Property HornyWoodElfRaceHitChance = 2.00 Auto
Float Property HornyOrcRaceHitChance = 2.00 Auto
Float Property PheromonesEffectDuration = 2.00 Auto
Float Property StrongPheromonesEffectDuration = 12.00 Auto

int CombatModeChanceDefault = 100
int SetAllAttackSlidersDefault = 2
int CaptureRadiusDefault = 150
int CreatureArousalDefault = 85
int CreatureSpeedDefault = 0
Int PheromonesEffectDurationDefault = 2
Int StrongPheromonesEffectDurationDefault = 12
Int AshHopperHitChanceDefault = 2
Int FrostAtronachRaceHitChanceDefault = 2
Int BearRaceHitChanceDefault = 2
Int CanineRaceHitChanceDefault = 2
Int ChaurusRaceHitChanceDefault = 2
Int ChaurusHunterRaceHitChanceDefault = 2
Int DeerRaceHitChanceDefault = 2
Int DraugrRaceHitChanceDefault = 2
Int FalmerRaceHitChanceDefault = 2
Int GargoyleRaceHitChanceDefault = 2
Int GiantRaceHitChanceDefault = 2
Int GoatRaceHitChanceDefault = 2
Int HorkerRaceHitChanceDefault = 2
Int HorseBlackRaceHitChanceDefault = 2
Int MammothRaceHitChanceDefault = 2
Int RabbitRaceHitChanceDefault = 2
Int RieklingRaceHitChanceDefault = 2
Int SeekerRaceHitChanceDefault = 2
Int SkeeverRaceHitChanceDefault = 2
Int SpiderRaceHitChanceDefault = 2
Int SpiderLargeRaceHitChanceDefault = 2
Int SpiderGiantRaceHitChanceDefault = 2
Int TrollRaceHitChanceDefault = 2
Int WerewolfRaceHitChanceDefault = 2
Int SabreCatRaceHitChanceDefault = 2
Int VampireRaceHitChanceDefault = 2
Int BoarRaceHitChanceDefault = 2
Int ChaurusReaperRaceHitChanceDefault = 2
Int CowRaceHitChanceDefault = 2
Int DwarvenCenturianRaceHitChanceDefault = 2
Int DwarvenSphereRaceHitChanceDefault = 2
Int HagravenRaceHitChanceDefault = 2
Int LurkerRaceHitChanceDefault = 2
Int SprigganRaceHitChanceDefault = 2
Int VampireLordRaceHitChanceDefault = 2
Int WolfRaceHitChanceDefault = 2
Int MagicAnomalyRaceHitChanceDefault = 2
Int DragonRaceHitChanceDefault = 2
Int FlameAtronachRaceHitChanceDefault = 2
Int ChickenRaceHitChanceDefault = 2
Int DragonPriestRaceHitChanceDefault = 2
Int DremoraRaceHitChanceDefault = 2
Int DwarvenBallistaRaceHitChanceDefault = 2
Int NetchRaceHitChanceDefault = 2
Int StormAtronachRaceHitChanceDefault = 2
Int WispMotherRaceHitChanceDefault = 2
Int HornyArgonianRaceHitChanceDefault = 2
Int HornyBretonRaceHitChanceDefault = 2
Int HornyImperialRaceHitChanceDefault = 2
Int HornyKhajiitRaceHitChanceDefault = 2
Int HornyNordRaceHitChanceDefault = 2
Int HornyRedguardRaceHitChanceDefault = 2
Int HornyDarkElfRaceHitChanceDefault = 2
Int HornyHighElfRaceHitChanceDefault = 2
Int HornyWoodElfRaceHitChanceDefault = 2
Int HornyOrcRaceHitChanceDefault = 2

Int PheromonesChanceDefault = 20
Int BonusChanceValueDefault = 0
Int ArousalMultiplierDefault = 50
int MinimumArousalDefault = 60
;Int ClearPheromonesChanceDefault = 10
Int ExtraPheromonesChanceDefault = 10


Int Property OptionTypeEmpty = 0 AutoReadOnly Hidden
Int Property OptionTypeSlider = 1 AutoReadOnly Hidden
Int Property OptionTypeToggle = 2 AutoReadOnly Hidden
Int Property OptionTypeMenu = 3 AutoReadOnly Hidden
Int Property OptionTypeColor = 4 AutoReadOnly Hidden
Int Property OptionTypeKeymap = 5 AutoReadOnly Hidden
Int Property OptionTypeText = 6 AutoReadOnly Hidden
INT Property OptionTypeInput = 7 AutoReadOnly Hidden

Int[] iType
String[] sFormat
String[] sInfo
Float[] fMinValue
Float[] fMaxValue
Float[] fDefault
Float[] fStep

Int Function ToIndex(Int aiOption)
	Return aiOption % 256
EndFunction

string Function GetStringVer()
	return "Version 1.1.6"
EndFunction

Int Function MyAddTextOption(String asText1, String asText2, String asInfo, Int aiFlags = 0)
	Int iOption = AddTextOption(asText1, asText2, aiFlags)
	
	SetOptionDefaults(iOption, 0, asInfo)
	iType[ToIndex(iOption)] = OptionTypeText
	
	Return iOption
EndFunction

Function SetOptionDefaults(Int aiOption, Float afDefault, String asInfo)
	Int iIndex = ToIndex(aiOption)

	iType[iIndex] = OptionTypeEmpty
	sFormat[iIndex] = ""
	sInfo[iIndex] = asInfo
	fMinValue[iIndex] = 0
	fMaxValue[iIndex] = 0
	fDefault[iIndex] = afDefault
	fStep[iIndex] = 0
EndFunction

Event OnConfigInit()	
	SetupPages()	
EndEvent

Function CheckExternalMods()
	if Game.GetModByName("SexLabSkoomaWhore.esp") == 255
		installed_SkoomaWhore = false
	else
		installed_SkoomaWhore = true
	endif
	if Game.GetModByName("MilkModNEW.esp") == 255
	installed_MilkModEconomy = false
	else
		installed_MilkModEconomy = true
	endif
	if Game.GetModByName("iNeed.esp") == 255
		installed_iNeed = false
	else
		installed_iNeed = true
	endif
	if Game.GetModByName("dcc-soulgem-oven-000.esm") == 255
		installed_SoulgemOven = false
	else
		installed_SoulgemOven = true
	endif
	if Game.GetModByName("RealisticNeedsandDiseases.esp") == 255
		installed_RealisticNeedsandDiseases = false
	else
		installed_RealisticNeedsandDiseases = true
	endif	
	if Game.GetModByName("MiniNeeds.esp") == 255
		installed_MiniNeeds = false
	else
		installed_MiniNeeds = true
	endif
	if Game.GetModByName("PSQ PlayerSuccubusQuest.esm") == 255
		installed_PSQ = false
	else
		installed_PSQ = true
	endif
	if Game.GetModByName("DeviouslyHelpless.esp") == 255
		installed_DeviouslyHelpless = false
	else
		installed_DeviouslyHelpless = true
	endif
	if Game.GetModByName("Bathing in Skyrim - Main.esp") == 255
		installed_BathingInSkyrim = false
	else
		installed_BathingInSkyrim = true
	endif	
	if Game.GetModByName("SexLabAroused.esm") == 255
		installed_SexLabAroused = false
	else
		installed_SexLabAroused = true
	EndIf	
	if Game.GetModByName("hydra_slavegirls.esp") == 255
		installed_HydraSlavegirls = false
	else
		installed_HydraSlavegirls = true
	EndIf	
	if Game.GetModByName("SexLab Aroused Creatures.esp") == 255
		installed_SexLabArousedCreatures = false
	else
		installed_SexLabArousedCreatures = true
	EndIf
	if Game.GetModByName("AnubAnimObj.esp") == 255
		installed_AnubsCreaturePack = false
	else
		installed_AnubsCreaturePack = true
	EndIf	
	if Game.GetModByName("SLSO.esp") == 255
		installed_SexLabSeparateOrgasms = false
	else
		installed_SexLabSeparateOrgasms = true
	EndIf	
EndFunction

Function SetupPages()
Debug.Notification("SexLab Pheromones Installed")
Utility.Wait(5)
CheckExternalMods()
	Pages = new string[4]
	Pages[0] = "Settings"
	Pages[1] = "Creature Options"
	Pages[2] = "NPC Options"
	Pages[3] = "Attack Options"
EndFunction

Event OnVersionUpdate(int newVersion)
	If newVersion != CurrentVersion
		SetupPages()
	EndIf
EndEvent

Event OnPageReset(string page)
	if (page == "")
		LoadCustomContent("SexLabPheromones/SexLab_Pheromones_Title.dds", 10, 0)
		return
	else
		UnloadCustomContent()
	EndIf
	If Page == "Settings"
		SetCursorFillMode(TOP_TO_BOTTOM)
		AddHeaderOption("Pheromone Chances")
			AllowFollowerSupportOID = AddToggleOption("Follower Support", AllowFollowerSupport)
			pheromoneschanceOID = AddSliderOption("Chance of Pheromones", pheromoneschance, "{1}")
			;clearpheromoneschanceOID = AddSliderOption("Chance to Clear Pheromones", clearpheromoneschance, "{1}")
			extrapheromoneschanceOID = AddSliderOption("Chance for Strong Pheromones", extrapheromoneschance, "{1}")
			bonuschanceOID = AddToggleOption("Allow Bonus for Skooma and Alcohol", BonusChanceAllowed)
			BonusChanceValueOID = AddSliderOption("Skooma and Alcohol Bonus Chance", BonusChanceValue, "{1}")
			MinimumArousalOID = AddSliderOption("Minimum Arousal for Pheromones", MinimumArousal, "{1}")
			ArousalMultiplierOID = AddSliderOption("Arousal Percent Multiplier", ArousalMultiplier, "{1}")
			SexLabArousedOID = AddToggleOption("Use Arousal", SexLabArousedAllowed)

			CreaturesAllowedOID = AddToggleOption("Creatures Pheromones Allowed", CreaturesAllowed)
			NPCsAllowedOID = AddToggleOption("NPC Pheromones Allowed", NPCsAllowed)
		AddHeaderOption("Time Between Attacks")
			timebetweenregattacksoid = AddSliderOption("Time Between Regular Sex Attacks", TimeBetweenRegAttacks, "{1}")
			timebetweenfastattacksoid = AddSliderOption("Time Between Fast Sex Attacks", TimeBetweenFastAttacks, "{1}")
		SetCursorPosition(1)		
		AddHeaderOption("Pheromones Duration")
			PheromonesEffectDurationOID = AddSliderOption("Pheromones Duration in Real Hours", PheromonesEffectDuration, "{1}")
			StrongPheromonesEffectDurationOID = AddSliderOption("Strong Pheromones Duration in Real Hours", StrongPheromonesEffectDuration, "{1}")

		AddHeaderOption("Stealth Mode")
			StealthModeOID = AddToggleOption("Make Pheromone Notifications Invisible", StealthMode)
		AddHeaderOption("Import / Export Settings")
			exportsettingsOID = AddToggleOption("Export Settings to JSON", exportsettings)
			importsettingsOID = AddToggleOption("Import Settings from JSON", importsettings)
		AddHeaderOption("Turn on Debugs")
			TurnOnDebugsOID = AddToggleOption("Make Debug Notifications Visible", TurnOnDebugs)
		AddHeaderOption("Suspend All Attacks")
			SuspendAttacksOID = AddToggleOption("Suspend all Pheromones Attacks.", SuspendAttacks)
	ElseIf Page == "Creature Options"
		SetCursorFillMode(TOP_TO_BOTTOM)
		AddHeaderOption("Creature Groups")
			CreatureGroupsAllowedOID = AddToggleOption("Allow Multiple Creature Spawns", CreatureGroupsAllowed)
			ToggleAllOID = AddToggleOption("Toggle All Creatures", ToggleAll)
			CreatureSpeedOID = AddSliderOption("Percentage Creature Speed Increase", CreatureSpeed, "{1}")
			CaptureRadiusOID = AddSliderOption("Creature Capture Player Distance", CaptureRadius, "{1}")
			AttackStartOnHitOID = AddToggleOption("Use Combat Mode", AttackStartOnHit)
			CombatModeHitChanceOID = AddSliderOption("Combat Mode Start Sex Chance", CombatModeChance, "{1}")
			AttackersDamageOID = AddToggleOption("CM Attackers Do Damage", AttackersDamage)
			RelentlessAttackersOID = AddToggleOption("Relentless Attackers", RelentlessAttackers)
			CreatureArousalOID = AddSliderOption("Set Creature Arousal on Spawn", CreatureArousal, "{1}")
		AddHeaderOption("Creature Selection")
			AshHopperAllowedOID = AddToggleOption("Ash Hoppers Allowed", AshHopperAllowed)
			BearAllowedOID = AddToggleOption("Bears Allowed", BearAllowed)
			BoarAllowedOID = AddToggleOption("Boars Allowed", BoarAllowed)			
			CanineAllowedOID = AddToggleOption("Canines Allowed", CanineAllowed)
			ChaurusAllowedOID = AddToggleOption("Chauruses Allowed", ChaurusAllowed)
			ChaurusHunterAllowedOID = AddToggleOption("Chaurus Hunters Allowed", ChaurusHunterAllowed)
			ChaurusReaperAllowedOID = AddToggleOption("Chaurus Reapers Allowed", ChaurusReaperAllowed)	
			ChickenAllowedOID = AddToggleOption("Chickens Allowed", ChickenAllowed)
			CowAllowedOID = AddToggleOption("Cows Allowed", CowAllowed)			
			DeerAllowedOID = AddToggleOption("Deers Allowed", DeerAllowed)			
			DragonAllowedOID = AddToggleOption("Dragons Allowed", DragonAllowed)
			DragonPriestAllowedOID = AddToggleOption("Dragon Priests Allowed", DragonPriestAllowed)
			DraugrAllowedOID = AddToggleOption("Draugrs Allowed", DraugrAllowed)
			DremoraAllowedOID = AddToggleOption("Dremoras Allowed", DremoraAllowed)
			DwarvenBallistaAllowedOID = AddToggleOption("Dwarven Ballistas Allowed", DwarvenBallistaAllowed)
			DwarvenCenturianAllowedOID = AddToggleOption("Dwarven Centurions Allowed", DwarvenCenturianAllowed)
			DwarvenSphereAllowedOID = AddToggleOption("Dwarven Spheres Allowed", DwarvenSphereAllowed)			
			FalmerAllowedOID = AddToggleOption("Falmers Allowed", FalmerAllowed)
			SetCursorPosition(1)			
			FlameAtronachAllowedOID = AddToggleOption("Flame Atronachs Allowed", FlameAtronachAllowed)
			FrostAtronachAllowedOID = AddToggleOption("Frost Atronachs Allowed", FrostAtronachAllowed)			
			GargoyleAllowedOID = AddToggleOption("Gargoyles Allowed", GargoyleAllowed)
			GiantAllowedOID = AddToggleOption("Giants Allowed", GiantAllowed)
			GoatAllowedOID = AddToggleOption("Goats Allowed", GoatAllowed)
			HagravenAllowedOID = AddToggleOption("Hagravens Allowed", HagravenAllowed)			
			HorkerAllowedOID = AddToggleOption("Horkers Allowed", HorkerAllowed)
			HorseAllowedOID = AddToggleOption("Horses Allowed", HorseAllowed)
			LurkerAllowedOID = AddToggleOption("Lurkers Allowed", LurkerAllowed)			
			MammothAllowedOID = AddToggleOption("Mammoths Allowed", MammothAllowed)
			NetchAllowedOID = AddToggleOption("Netches Allowed", NetchAllowed)
			RabbitAllowedOID = AddToggleOption("Rabbits Allowed", RabbitAllowed)
			RieklingAllowedOID = AddToggleOption("Rieklings Allowed", RieklingAllowed)
			SabreCatAllowedOID = AddToggleOption("Sabre Cats Allowed", SabreCatAllowed)			
			SeekerAllowedOID = AddToggleOption("Seekers Allowed", SeekerAllowed)
			SkeeverAllowedOID = AddToggleOption("Skeevers Allowed", SkeeverAllowed)
			SpiderGiantAllowedOID = AddToggleOption("Giant Spiders Allowed", SpiderGiantAllowed)			
			SpiderLargeAllowedOID = AddToggleOption("Large Spiders Allowed", SpiderLargeAllowed)
			SpiderAllowedOID = AddToggleOption("Regular Spiders Allowed", SpiderAllowed)
			SprigganAllowedOID = AddToggleOption("Spriggans Allowed", SprigganAllowed)			
			StormAtronachAllowedOID = AddToggleOption("Storm Atronachs Allowed", StormAtronachAllowed)
			TrollAllowedOID = AddToggleOption("Trolls Allowed", TrollAllowed)			
			VampireAllowedOID = AddToggleOption("Vampires Allowed", VampireAllowed)
			VampireLordAllowedOID = AddToggleOption("Vampire Lords Allowed", VampireLordAllowed)			
			WerewolfAllowedOID = AddToggleOption("Werewolfs Allowed", WerewolfAllowed)
			WispMotherAllowedOID = AddToggleOption("Wisp Mothers Allowed", WispMotherAllowed)
			WolfAllowedOID = AddToggleOption("Wolves Allowed", WolfAllowed)
	ElseIf Page == "NPC Options"			
		SetCursorFillMode(TOP_TO_BOTTOM)
		AddHeaderOption("NPC Genders")
			MalesAllowedOID = AddToggleOption("Males Allowed", MalesAllowed)
			FemalesAllowedOID = AddToggleOption("Females Allowed", FemalesAllowed)		
			SetCursorPosition(1)		
		AddHeaderOption("NPC Selection")		
			ArgonianAllowedOID = AddToggleOption("Argonians Allowed", ArgonianAllowed)
			BretonAllowedOID = AddToggleOption("Bretons Allowed", BretonAllowed)
			DarkElfAllowedOID = AddToggleOption("Dark Elves Allowed", DarkElfAllowed)
			HighElfAllowedOID = AddToggleOption("High Elves Allowed", HighElfAllowed)
			ImperialAllowedOID = AddToggleOption("Imperials Allowed", ImperialAllowed)
			KhajiitAllowedOID = AddToggleOption("Khajiits Allowed", KhajiitAllowed)
			NordAllowedOID = AddToggleOption("Nords Allowed", NordAllowed)
			OrcAllowedOID = AddToggleOption("Orcs Allowed", OrcAllowed)
			RedguardAllowedOID = AddToggleOption("Redguards Allowed", RedguardAllowed)
			WoodElfAllowedOID = AddToggleOption("Wood Elves Allowed", WoodElfAllowed)	
	ElseIf Page == "Attack Options"
		SetCursorFillMode(TOP_TO_BOTTOM)
		AddHeaderOption("Chance to get Pheromones from Attacks")
SetAllAttackSlidersOID = AddSliderOption("Change all Sliders", SetAllAttackSliders, "{1}")		
AshHopperHitOID = AddSliderOption("Ash Hopper Chance", AshHopperHitChance, "{1}")
BearRaceHitOID = AddSliderOption("Bear Chance", BearRaceHitChance, "{1}")
BoarRaceHitOID = AddSliderOption("Boar Chance", BoarRaceHitChance, "{1}")
CanineRaceHitOID = AddSliderOption("Dog Chance", CanineRaceHitChance, "{1}")
ChaurusHunterRaceHitOID = AddSliderOption("Chaurus Hunter Chance", ChaurusHunterRaceHitChance, "{1}")
ChaurusRaceHitOID = AddSliderOption("Chaurus Chance", ChaurusRaceHitChance, "{1}")
ChaurusReaperRaceHitOID = AddSliderOption("Chaurus Reaper Chance", ChaurusReaperRaceHitChance, "{1}")
ChickenRaceHitOID = AddSliderOption("Chicken Chance", ChickenRaceHitChance, "{1}")
CowRaceHitOID = AddSliderOption("Cow Chance", CowRaceHitChance, "{1}")
DeerRaceHitOID = AddSliderOption("Deer Chance", DeerRaceHitChance, "{1}")
DragonPriestRaceHitOID = AddSliderOption("Dragon Priest Chance", DragonPriestRaceHitChance, "{1}")
DragonRaceHitOID = AddSliderOption("Dragon Chance", DragonRaceHitChance, "{1}")
DraugrRaceHitOID = AddSliderOption("Draugr Chance", DraugrRaceHitChance, "{1}")
DremoraRaceHitOID = AddSliderOption("Dremora Chance", DremoraRaceHitChance, "{1}")
DwarvenBallistaRaceHitOID = AddSliderOption("Dwarven Ballista Chance", DwarvenBallistaRaceHitChance, "{1}")
DwarvenCenturianRaceHitOID = AddSliderOption("Dwarven Centurian Chance", DwarvenCenturianRaceHitChance, "{1}")
DwarvenSphereRaceHitOID = AddSliderOption("Dwarven Sphere Chance", DwarvenSphereRaceHitChance, "{1}")
FalmerRaceHitOID = AddSliderOption("Falmer Chance", FalmerRaceHitChance, "{1}")
FlameAtronachRaceHitOID = AddSliderOption("Flame Atronach Chance", FlameAtronachRaceHitChance, "{1}")
FrostAtronachRaceHitOID = AddSliderOption("Frost Atronach Chance", FrostAtronachRaceHitChance, "{1}")
GargoyleRaceHitOID = AddSliderOption("Gargoyle Chance", GargoyleRaceHitChance, "{1}")
SetCursorPosition(1)
GiantRaceHitOID = AddSliderOption("Giant Chance", GiantRaceHitChance, "{1}")
GoatRaceHitOID = AddSliderOption("Goat Chance", GoatRaceHitChance, "{1}")
HagravenRaceHitOID = AddSliderOption("Hagraven Chance", HagravenRaceHitChance, "{1}")
HorkerRaceHitOID = AddSliderOption("Horker Chance", HorkerRaceHitChance, "{1}")
HorseBlackRaceHitOID = AddSliderOption("Horse Chance", HorseBlackRaceHitChance, "{1}")
LurkerRaceHitOID = AddSliderOption("Lurker Chance", LurkerRaceHitChance, "{1}")
MammothRaceHitOID = AddSliderOption("Mammoth Chance", MammothRaceHitChance, "{1}")
NetchRaceHitOID = AddSliderOption("Netch Chance", NetchRaceHitChance, "{1}")
RabbitRaceHitOID = AddSliderOption("Rabbit Chance", RabbitRaceHitChance, "{1}")
RieklingRaceHitOID = AddSliderOption("Riekling Chance", RieklingRaceHitChance, "{1}")
SabreCatRaceHitOID = AddSliderOption("Sabre Cat Chance", SabreCatRaceHitChance, "{1}")
SeekerRaceHitOID = AddSliderOption("Seeker Chance", SeekerRaceHitChance, "{1}")
SkeeverRaceHitOID = AddSliderOption("Skeever Chance", SkeeverRaceHitChance, "{1}")
SpiderGiantRaceHitOID = AddSliderOption("Giant Spider Chance", SpiderGiantRaceHitChance, "{1}")
SpiderLargeRaceHitOID = AddSliderOption("Large Spider Chance", SpiderLargeRaceHitChance, "{1}")
SpiderRaceHitOID = AddSliderOption("Spider Chance", SpiderRaceHitChance, "{1}")
SprigganRaceHitOID = AddSliderOption("Spriggan Chance", SprigganRaceHitChance, "{1}")
StormAtronachRaceHitOID = AddSliderOption("Storm Atronach Chance", StormAtronachRaceHitChance, "{1}")
TrollRaceHitOID = AddSliderOption("Troll Chance", TrollRaceHitChance, "{1}")
VampireLordRaceHitOID = AddSliderOption("Vampire Lord Chance", VampireLordRaceHitChance, "{1}")
;VampireRaceHitOID = AddSliderOption("Vampire Chance", VampireRaceHitChance, "{1}")
WerewolfRaceHitOID = AddSliderOption("Werewolf Chance", WerewolfRaceHitChance, "{1}")
WispMotherRaceHitOID = AddSliderOption("Wisp Mother Chance", WispMotherRaceHitChance, "{1}")
WolfRaceHitOID = AddSliderOption("Wolf Chance", WolfRaceHitChance, "{1}")
	EndIf				
EndEvent		

Event OnOptionSelect(Int Option)
	If (Option == AttackStartOnHitOID)
		AttackStartOnHit = !AttackStartOnHit
		SetToggleOptionValue(AttackStartOnHitOID, AttackStartOnHit)
	EndIf	
	If (Option == AttackersDamageOID)
		AttackersDamage = !AttackersDamage
		SetToggleOptionValue(AttackersDamageOID, AttackersDamage)
	EndIf	
	If (Option == RelentlessAttackersOID)
		RelentlessAttackers = !RelentlessAttackers
		SetToggleOptionValue(RelentlessAttackersOID, RelentlessAttackers)
	EndIf		
	if (Option == CreaturesAllowedOID)
		CreaturesAllowed = !CreaturesAllowed
		SetToggleOptionValue(CreaturesAllowedOID, CreaturesAllowed)
	elseIf (option == exportsettingsOID)
			ShowMessage("Settings Exported!")
			ExportSettings()
			ForcePageReset()
	elseIf (option == importsettingsOID)
			ShowMessage("Settings Imported!")			
			ImportSettings()
			ForcePageReset()
	ElseIf (option == TurnOnDebugsOID)		
		TurnOnDebugs = !TurnOnDebugs
		SetToggleOptionValue(TurnOnDebugsOID, TurnOnDebugs)	
	ElseIf (option == SuspendAttacksOID)		
		SuspendAttacks = !SuspendAttacks
		SetToggleOptionValue(SuspendAttacksOID, SuspendAttacks)
	ElseIf (option == AllowFollowerSupportOID)		
		AllowFollowerSupport = !AllowFollowerSupport
		SetToggleOptionValue(AllowFollowerSupportOID, AllowFollowerSupport)			
	ElseIf (Option == SexLabArousedOID)
		SexLabArousedAllowed = !SexLabArousedAllowed
		SetToggleOptionValue(SexLabArousedOID, SexLabArousedAllowed)
	ElseIf (Option == bonuschanceOID)
		BonusChanceAllowed = !BonusChanceAllowed
		SetToggleOptionValue(bonuschanceOID, BonusChanceAllowed)
	ElseIf (Option == FemalesAllowedOID)
		FemalesAllowed = !FemalesAllowed
		SetToggleOptionValue(FemalesAllowedOID, FemalesAllowed)
	ElseIf (Option == MalesAllowedOID)
		MalesAllowed = !MalesAllowed
		SetToggleOptionValue(MalesAllowedOID, MalesAllowed)		
	ElseIf (Option == StealthModeOID)
		StealthMode = !StealthMode
		SetToggleOptionValue(StealthModeOID, StealthMode)
		Pheromones.ProcessFlags()
	ElseIf (Option == CreatureGroupsAllowedOID)
		CreatureGroupsAllowed = !CreatureGroupsAllowed
		SetToggleOptionValue(CreatureGroupsAllowedOID, CreatureGroupsAllowed)
	ElseIf (Option == NPCsAllowedOID)
			NPCsAllowed = !NPCsAllowed
		SetToggleOptionValue(NPCsAllowedOID, NPCsAllowed)
	ElseIf (Option == AshHopperAllowedOID)
			AshHopperAllowed = !AshHopperAllowed
		SetToggleOptionValue(AshHopperAllowedOID, AshHopperAllowed)	
	ElseIf (Option == ChickenAllowedOID)
		ChickenAllowed = !ChickenAllowed
		SetToggleOptionValue(ChickenAllowedOID, ChickenAllowed)
	ElseIf (Option == DragonPriestAllowedOID)
		DragonPriestAllowed = !DragonPriestAllowed
		SetToggleOptionValue(DragonPriestAllowedOID, DragonPriestAllowed)
	ElseIf (Option == DremoraAllowedOID)
		DremoraAllowed = !DremoraAllowed
		SetToggleOptionValue(DremoraAllowedOID, DremoraAllowed)
	ElseIf (Option == DwarvenBallistaAllowedOID)
		DwarvenBallistaAllowed = !DwarvenBallistaAllowed
		SetToggleOptionValue(DwarvenBallistaAllowedOID, DwarvenBallistaAllowed)
	ElseIf (Option == FlameAtronachAllowedOID)
		FlameAtronachAllowed = !FlameAtronachAllowed
		SetToggleOptionValue(FlameAtronachAllowedOID, FlameAtronachAllowed)
	ElseIf (Option == NetchAllowedOID)
		NetchAllowed = !NetchAllowed
		SetToggleOptionValue(NetchAllowedOID, NetchAllowed)
	ElseIf (Option == StormAtronachAllowedOID)
		StormAtronachAllowed = !StormAtronachAllowed
		SetToggleOptionValue(StormAtronachAllowedOID, StormAtronachAllowed)
	ElseIf (Option == WispMotherAllowedOID)
		WispMotherAllowed = !WispMotherAllowed
		SetToggleOptionValue(WispMotherAllowedOID, WispMotherAllowed)		
	ElseIf (Option == BearAllowedOID)
		BearAllowed = !BearAllowed
		SetToggleOptionValue(BearAllowedOID, BearAllowed)
	ElseIf (Option == DragonAllowedOID)
		DragonAllowed = !DragonAllowed
		SetToggleOptionValue(DragonAllowedOID, DragonAllowed)
	ElseIf (Option == WerewolfAllowedOID)
		WerewolfAllowed = !WerewolfAllowed
		SetToggleOptionValue(WerewolfAllowedOID, WerewolfAllowed)
	ElseIf (Option == CanineAllowedOID)
		CanineAllowed = !CanineAllowed
		SetToggleOptionValue(CanineAllowedOID, CanineAllowed)
	ElseIf (Option == ChaurusAllowedOID)
		ChaurusAllowed = !ChaurusAllowed
		SetToggleOptionValue(ChaurusAllowedOID, ChaurusAllowed)
	ElseIf (Option == ChaurusHunterAllowedOID)
		ChaurusHunterAllowed = !ChaurusHunterAllowed
		SetToggleOptionValue(ChaurusHunterAllowedOID, ChaurusHunterAllowed)
	ElseIf (Option == DraugrAllowedOID)
		DraugrAllowed = !DraugrAllowed
		SetToggleOptionValue(DraugrAllowedOID, DraugrAllowed)
	ElseIf (Option == FalmerAllowedOID)
		FalmerAllowed = !FalmerAllowed
		SetToggleOptionValue(FalmerAllowedOID, FalmerAllowed)
	ElseIf (Option == GargoyleAllowedOID)
		GargoyleAllowed = !GargoyleAllowed
		SetToggleOptionValue(GargoyleAllowedOID, GargoyleAllowed)
	ElseIf (Option == GiantAllowedOID)
		GiantAllowed = !GiantAllowed
		SetToggleOptionValue(GiantAllowedOID, GiantAllowed)
	ElseIf (Option == GoatAllowedOID)
		GoatAllowed = !GoatAllowed
		SetToggleOptionValue(GoatAllowedOID, GoatAllowed)
	ElseIf (Option == HorkerAllowedOID)
		HorkerAllowed = !HorkerAllowed
		SetToggleOptionValue(HorkerAllowedOID, HorkerAllowed)
	ElseIf (Option == MammothAllowedOID)
		MammothAllowed = !MammothAllowed
		SetToggleOptionValue(MammothAllowedOID, MammothAllowed)
	ElseIf (Option == RabbitAllowedOID)
		RabbitAllowed = !RabbitAllowed
		SetToggleOptionValue(RabbitAllowedOID, RabbitAllowed)
	ElseIf (Option == RieklingAllowedOID)
		RieklingAllowed = !RieklingAllowed
		SetToggleOptionValue(RieklingAllowedOID, RieklingAllowed)	
	ElseIf (Option == SeekerAllowedOID)
		SeekerAllowed = !SeekerAllowed
		SetToggleOptionValue(SeekerAllowedOID, SeekerAllowed)	
	ElseIf (Option == SkeeverAllowedOID)
		SkeeverAllowed = !SkeeverAllowed
		SetToggleOptionValue(SkeeverAllowedOID, SkeeverAllowed)	
	ElseIf (Option == SpiderAllowedOID)
		SpiderAllowed = !SpiderAllowed
		SetToggleOptionValue(SpiderAllowedOID, SpiderAllowed)	
	ElseIf (Option == SpiderLargeAllowedOID)
		SpiderLargeAllowed = !SpiderLargeAllowed
		SetToggleOptionValue(SpiderLargeAllowedOID, SpiderLargeAllowed)	
	ElseIf (Option == SpiderGiantAllowedOID)
		SpiderGiantAllowed = !SpiderGiantAllowed
		SetToggleOptionValue(SpiderGiantAllowedOID, SpiderGiantAllowed)	
	ElseIf (Option == TrollAllowedOID)
		TrollAllowed = !TrollAllowed
		SetToggleOptionValue(TrollAllowedOID, TrollAllowed)	
	ElseIf (Option == HorseAllowedOID)
		HorseAllowed = !HorseAllowed
		SetToggleOptionValue(HorseAllowedOID, HorseAllowed)
	ElseIf (Option == SabreCatAllowedOID)
		SabreCatAllowed = !SabreCatAllowed
		SetToggleOptionValue(SabreCatAllowedOID, SabreCatAllowed)	
	ElseIf (Option == VampireAllowedOID)
		VampireAllowed = !VampireAllowed
		SetToggleOptionValue(VampireAllowedOID, VampireAllowed)
	ElseIf (Option == FrostAtronachAllowedOID)
		FrostAtronachAllowed = !FrostAtronachAllowed
		SetToggleOptionValue(FrostAtronachAllowedOID, FrostAtronachAllowed)
	ElseIf (Option == DeerAllowedOID)
		DeerAllowed = !DeerAllowed
		SetToggleOptionValue(DeerAllowedOID, DeerAllowed)
	ElseIf (Option == ArgonianAllowedOID)
		ArgonianAllowed = !ArgonianAllowed
		SetToggleOptionValue(ArgonianAllowedOID, ArgonianAllowed)
	ElseIf (Option == BretonAllowedOID)
		BretonAllowed = !BretonAllowed
		SetToggleOptionValue(BretonAllowedOID, BretonAllowed)
	ElseIf (Option == DarkElfAllowedOID)
		DarkElfAllowed = !DarkElfAllowed
		SetToggleOptionValue(DarkElfAllowedOID, DarkElfAllowed)
	ElseIf (Option == HighElfAllowedOID)
		HighElfAllowed = !HighElfAllowed
		SetToggleOptionValue(HighElfAllowedOID, HighElfAllowed)
	ElseIf (Option == ImperialAllowedOID)
		ImperialAllowed = !ImperialAllowed
		SetToggleOptionValue(ImperialAllowedOID, ImperialAllowed)
	ElseIf (Option == KhajiitAllowedOID)
		KhajiitAllowed = !KhajiitAllowed
		SetToggleOptionValue(KhajiitAllowedOID, KhajiitAllowed)
	ElseIf (Option == NordAllowedOID)
		NordAllowed = !NordAllowed
		SetToggleOptionValue(NordAllowedOID, NordAllowed)
	ElseIf (Option == OrcAllowedOID)
		OrcAllowed = !OrcAllowed
		SetToggleOptionValue(OrcAllowedOID, OrcAllowed)
	ElseIf (Option == RedguardAllowedOID)
		RedguardAllowed = !RedguardAllowed
		SetToggleOptionValue(RedguardAllowedOID, RedguardAllowed)
	ElseIf (Option == WoodElfAllowedOID)
		WoodElfAllowed = !WoodElfAllowed
		SetToggleOptionValue(WoodElfAllowedOID, WoodElfAllowed)
	ElseIf (Option == BoarAllowedOID)
		BoarAllowed = !BoarAllowed
		SetToggleOptionValue(BoarAllowedOID, BoarAllowed)
	ElseIf (Option == ChaurusReaperAllowedOID)
		ChaurusReaperAllowed = !ChaurusReaperAllowed
		SetToggleOptionValue(ChaurusReaperAllowedOID, ChaurusReaperAllowed)		
	ElseIf (Option == CowAllowedOID)
		CowAllowed = !CowAllowed
		SetToggleOptionValue(CowAllowedOID, CowAllowed)		
	ElseIf (Option == DwarvenCenturianAllowedOID)
		DwarvenCenturianAllowed = !DwarvenCenturianAllowed
		SetToggleOptionValue(DwarvenCenturianAllowedOID, DwarvenCenturianAllowed)		
	ElseIf (Option == DwarvenSphereAllowedOID)
		DwarvenSphereAllowed = !DwarvenSphereAllowed
		SetToggleOptionValue(DwarvenSphereAllowedOID, DwarvenSphereAllowed)		
	ElseIf (Option == HagravenAllowedOID)
		HagravenAllowed = !HagravenAllowed
		SetToggleOptionValue(HagravenAllowedOID, HagravenAllowed)		
	ElseIf (Option == LurkerAllowedOID)
		LurkerAllowed = !LurkerAllowed
		SetToggleOptionValue(LurkerAllowedOID, LurkerAllowed)		
	ElseIf (Option == SprigganAllowedOID)
		SprigganAllowed = !SprigganAllowed
		SetToggleOptionValue(SprigganAllowedOID, SprigganAllowed)		
	ElseIf (Option == VampireLordAllowedOID)
		VampireLordAllowed = !VampireLordAllowed
		SetToggleOptionValue(VampireLordAllowedOID, VampireLordAllowed)	
	ElseIf (Option == WolfAllowedOID)
		WolfAllowed = !WolfAllowed
		SetToggleOptionValue(WolfAllowedOID, WolfAllowed)
	ElseIf (Option == ToggleAllOID)
		AshHopperAllowed = !AshHopperAllowed
		SetToggleOptionValue(AshHopperAllowedOID, AshHopperAllowed)	
		BearAllowed = !BearAllowed
		SetToggleOptionValue(BearAllowedOID, BearAllowed)		
		BoarAllowed = !BoarAllowed
		SetToggleOptionValue(BoarAllowedOID, BoarAllowed)
		CanineAllowed = !CanineAllowed
		SetToggleOptionValue(CanineAllowedOID, CanineAllowed)
		ChaurusAllowed = !ChaurusAllowed
		SetToggleOptionValue(ChaurusAllowedOID, ChaurusAllowed)
		ChaurusHunterAllowed = !ChaurusHunterAllowed
		SetToggleOptionValue(ChaurusHunterAllowedOID, ChaurusHunterAllowed)		
		ChaurusReaperAllowed = !ChaurusReaperAllowed
		SetToggleOptionValue(ChaurusReaperAllowedOID, ChaurusReaperAllowed)	
		ChickenAllowed = !ChickenAllowed
		SetToggleOptionValue(ChickenAllowedOID, ChickenAllowed)		
		CowAllowed = !CowAllowed
		SetToggleOptionValue(CowAllowedOID, CowAllowed)	
		DeerAllowed = !DeerAllowed
		SetToggleOptionValue(DeerAllowedOID, DeerAllowed)		
		DragonAllowed = !DragonAllowed
		SetToggleOptionValue(DragonAllowedOID, DragonAllowed)	
		DragonPriestAllowed = !DragonPriestAllowed
		SetToggleOptionValue(DragonPriestAllowedOID, DragonPriestAllowed)
		DraugrAllowed = !DraugrAllowed
		SetToggleOptionValue(DraugrAllowedOID, DraugrAllowed)			
		DremoraAllowed = !DremoraAllowed
		SetToggleOptionValue(DremoraAllowedOID, DremoraAllowed)	
		DwarvenBallistaAllowed = !DwarvenBallistaAllowed
		SetToggleOptionValue(DwarvenBallistaAllowedOID, DwarvenBallistaAllowed)		
		DwarvenCenturianAllowed = !DwarvenCenturianAllowed
		SetToggleOptionValue(DwarvenCenturianAllowedOID, DwarvenCenturianAllowed)		
		DwarvenSphereAllowed = !DwarvenSphereAllowed
		SetToggleOptionValue(DwarvenSphereAllowedOID, DwarvenSphereAllowed)			
		FlameAtronachAllowed = !FlameAtronachAllowed
		SetToggleOptionValue(FlameAtronachAllowedOID, FlameAtronachAllowed)	
		FalmerAllowed = !FalmerAllowed
		SetToggleOptionValue(FalmerAllowedOID, FalmerAllowed)
		FrostAtronachAllowed = !FrostAtronachAllowed
		SetToggleOptionValue(FrostAtronachAllowedOID, FrostAtronachAllowed)		
		GargoyleAllowed = !GargoyleAllowed
		SetToggleOptionValue(GargoyleAllowedOID, GargoyleAllowed)
		GiantAllowed = !GiantAllowed
		SetToggleOptionValue(GiantAllowedOID, GiantAllowed)
		GoatAllowed = !GoatAllowed
		SetToggleOptionValue(GoatAllowedOID, GoatAllowed)
		HagravenAllowed = !HagravenAllowed
		SetToggleOptionValue(HagravenAllowedOID, HagravenAllowed)			
		HorkerAllowed = !HorkerAllowed
		SetToggleOptionValue(HorkerAllowedOID, HorkerAllowed)
		HorseAllowed = !HorseAllowed
		SetToggleOptionValue(HorseAllowedOID, HorseAllowed)	
		LurkerAllowed = !LurkerAllowed
		SetToggleOptionValue(LurkerAllowedOID, LurkerAllowed)					
		MammothAllowed = !MammothAllowed
		SetToggleOptionValue(MammothAllowedOID, MammothAllowed)
		NetchAllowed = !NetchAllowed
		SetToggleOptionValue(NetchAllowedOID, NetchAllowed)		
		RabbitAllowed = !RabbitAllowed
		SetToggleOptionValue(RabbitAllowedOID, RabbitAllowed)
		RieklingAllowed = !RieklingAllowed
		SetToggleOptionValue(RieklingAllowedOID, RieklingAllowed)	
		SabreCatAllowed = !SabreCatAllowed
		SetToggleOptionValue(SabreCatAllowedOID, SabreCatAllowed)		
		SeekerAllowed = !SeekerAllowed
		SetToggleOptionValue(SeekerAllowedOID, SeekerAllowed)	
		SkeeverAllowed = !SkeeverAllowed
		SetToggleOptionValue(SkeeverAllowedOID, SkeeverAllowed)	
		SpiderAllowed = !SpiderAllowed
		SetToggleOptionValue(SpiderAllowedOID, SpiderAllowed)
		SpiderGiantAllowed = !SpiderGiantAllowed
		SetToggleOptionValue(SpiderGiantAllowedOID, SpiderGiantAllowed)			
		SpiderLargeAllowed = !SpiderLargeAllowed
		SetToggleOptionValue(SpiderLargeAllowedOID, SpiderLargeAllowed)	
		SprigganAllowed = !SprigganAllowed
		SetToggleOptionValue(SprigganAllowedOID, SprigganAllowed)			
		StormAtronachAllowed = !StormAtronachAllowed
		SetToggleOptionValue(StormAtronachAllowedOID, StormAtronachAllowed)	
		TrollAllowed = !TrollAllowed
		SetToggleOptionValue(TrollAllowedOID, TrollAllowed)
		VampireAllowed = !VampireAllowed
		SetToggleOptionValue(VampireAllowedOID, VampireAllowed)
		VampireLordAllowed = !VampireLordAllowed
		SetToggleOptionValue(VampireLordAllowedOID, VampireLordAllowed)	
		WerewolfAllowed = !WerewolfAllowed
		SetToggleOptionValue(WerewolfAllowedOID, WerewolfAllowed)				
		WispMotherAllowed = !WispMotherAllowed
		SetToggleOptionValue(WispMotherAllowedOID, WispMotherAllowed)	
		WolfAllowed = !WolfAllowed
		SetToggleOptionValue(WolfAllowedOID, WolfAllowed)			
		ArgonianAllowed = !ArgonianAllowed
		SetToggleOptionValue(ArgonianAllowedOID, ArgonianAllowed)
		BretonAllowed = !BretonAllowed
		SetToggleOptionValue(BretonAllowedOID, BretonAllowed)
		DarkElfAllowed = !DarkElfAllowed
		SetToggleOptionValue(DarkElfAllowedOID, DarkElfAllowed)
		HighElfAllowed = !HighElfAllowed
		SetToggleOptionValue(HighElfAllowedOID, HighElfAllowed)
		ImperialAllowed = !ImperialAllowed
		SetToggleOptionValue(ImperialAllowedOID, ImperialAllowed)
		KhajiitAllowed = !KhajiitAllowed
		SetToggleOptionValue(KhajiitAllowedOID, KhajiitAllowed)
		NordAllowed = !NordAllowed
		SetToggleOptionValue(NordAllowedOID, NordAllowed)
		OrcAllowed = !OrcAllowed
		SetToggleOptionValue(OrcAllowedOID, OrcAllowed)
		RedguardAllowed = !RedguardAllowed
		SetToggleOptionValue(RedguardAllowedOID, RedguardAllowed)
		WoodElfAllowed = !WoodElfAllowed
		SetToggleOptionValue(WoodElfAllowedOID, WoodElfAllowed)			
	EndIf
Pheromones.CheckAllowed()	
EndEvent	

Event OnOptionSliderOpen(int option)
	If Option == pheromoneschanceOID
		SetSliderDialogStartValue(pheromoneschance)
		SetSliderDialogDefaultValue(PheromonesChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(1)
	EndIf
	If Option == CombatModeHitChanceOID
		SetSliderDialogStartValue(CombatModeChance)
		SetSliderDialogDefaultValue(CombatModeChanceDefault)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)
	EndIf
	If Option == SetAllAttackSlidersOID
		SetSliderDialogStartValue(SetAllAttackSliders)
		SetSliderDialogDefaultValue(SetAllAttackSlidersDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == CaptureRadiusOID
		SetSliderDialogStartValue(CaptureRadius)
		SetSliderDialogDefaultValue(CaptureRadiusDefault)
		SetSliderDialogRange(100,2000)
		SetSliderDialogInterval(1)
	EndIf	
	If Option == CreatureArousalOID
		SetSliderDialogStartValue(CreatureArousal)
		SetSliderDialogDefaultValue(CreatureArousalDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(1)
	EndIf		
	If Option == CreatureSpeedOID
		SetSliderDialogStartValue(CreatureSpeed)
		SetSliderDialogDefaultValue(CreatureSpeedDefault)
		SetSliderDialogRange(0,400)
		SetSliderDialogInterval(1)
	EndIf	
	If Option == MinimumArousalOID
		SetSliderDialogStartValue(MinimumArousal)
		SetSliderDialogDefaultValue(MinimumArousalDefault)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)
	EndIf	
	If Option == ArousalMultiplierOID
		SetSliderDialogStartValue(ArousalMultiplier)
		SetSliderDialogDefaultValue(ArousalMultiplierDefault)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)
	EndIf		
	if Option == BonusChanceValueOID
		SetSliderDialogStartValue(BonusChanceValue)
		SetSliderDialogDefaultValue(BonusChanceValueDefault)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)
	EndIf	
	;If Option == clearpheromoneschanceOID
		;SetSliderDialogStartValue(clearpheromoneschance)
		;SetSliderDialogDefaultValue(ClearPheromonesChanceDefault)
		;SetSliderDialogRange(0,100)
		;SetSliderDialogInterval(1)
	;EndIf
	If Option == extrapheromoneschanceOID
		SetSliderDialogStartValue(extrapheromoneschance)
		SetSliderDialogDefaultValue(ExtraPheromonesChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(1)
	EndIf
	If Option == timebetweenfastattacksoid
		SetSliderDialogStartValue(TimeBetweenFastAttacks)
		SetSliderDialogDefaultValue(TimeBetweenFastAttacksDefault)
		SetSliderDialogRange(1,5)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == timebetweenregattacksoid
		SetSliderDialogStartValue(TimeBetweenRegAttacks)
		SetSliderDialogDefaultValue(TimeBetweenRegAttacksDefault)
		SetSliderDialogRange(2,8)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == PheromonesEffectDurationOID
		SetSliderDialogStartValue(PheromonesEffectDuration)
		SetSliderDialogDefaultValue(PheromonesEffectDurationDefault)
		SetSliderDialogRange(1,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == StrongPheromonesEffectDurationOID
		SetSliderDialogStartValue(StrongPheromonesEffectDuration)
		SetSliderDialogDefaultValue(StrongPheromonesEffectDurationDefault)
		SetSliderDialogRange(2,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == AshHopperHitOID
		SetSliderDialogStartValue(AshHopperHitChance)
		SetSliderDialogDefaultValue(AshHopperHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == FrostAtronachRaceHitOID
		SetSliderDialogStartValue(FrostAtronachRaceHitChance)
		SetSliderDialogDefaultValue(FrostAtronachRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == BearRaceHitOID
		SetSliderDialogStartValue(BearRaceHitChance)
		SetSliderDialogDefaultValue(BearRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == CanineRaceHitOID
		SetSliderDialogStartValue(CanineRaceHitChance)
		SetSliderDialogDefaultValue(CanineRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == ChaurusRaceHitOID
		SetSliderDialogStartValue(ChaurusRaceHitChance)
		SetSliderDialogDefaultValue(ChaurusRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == ChaurusHunterRaceHitOID
		SetSliderDialogStartValue(ChaurushunterRaceHitChance)
		SetSliderDialogDefaultValue(ChaurushunterRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DeerRaceHitOID
		SetSliderDialogStartValue(DeerRaceHitChance)
		SetSliderDialogDefaultValue(DeerRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DraugrRaceHitOID
		SetSliderDialogStartValue(DraugrRaceHitChance)
		SetSliderDialogDefaultValue(DraugrRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == FalmerRaceHitOID
		SetSliderDialogStartValue(FalmerRaceHitChance)
		SetSliderDialogDefaultValue(FalmerRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == GargoyleRaceHitOID
		SetSliderDialogStartValue(GargoyleRaceHitChance)
		SetSliderDialogDefaultValue(GargoyleRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == GiantRaceHitOID
		SetSliderDialogStartValue(GiantRaceHitChance)
		SetSliderDialogDefaultValue(GiantRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == GoatRaceHitOID
		SetSliderDialogStartValue(GoatRaceHitChance)
		SetSliderDialogDefaultValue(GoatRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == HorkerRaceHitOID
		SetSliderDialogStartValue(HorkerRaceHitChance)
		SetSliderDialogDefaultValue(HorkerRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == HorseBlackRaceHitOID
		SetSliderDialogStartValue(HorseBlackRaceHitChance)
		SetSliderDialogDefaultValue(HorseBlackRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == MammothRaceHitOID
		SetSliderDialogStartValue(MammothRaceHitChance)
		SetSliderDialogDefaultValue(MammothRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == RabbitRaceHitOID
		SetSliderDialogStartValue(RabbitRaceHitChance)
		SetSliderDialogDefaultValue(RabbitRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == RieklingRaceHitOID
		SetSliderDialogStartValue(RieklingRaceHitChance)
		SetSliderDialogDefaultValue(RieklingRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == SeekerRaceHitOID
		SetSliderDialogStartValue(SeekerRaceHitChance)
		SetSliderDialogDefaultValue(SeekerRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == SkeeverRaceHitOID
		SetSliderDialogStartValue(SkeeverRaceHitChance)
		SetSliderDialogDefaultValue(SkeeverRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == SpiderRaceHitOID
		SetSliderDialogStartValue(SpiderRaceHitChance)
		SetSliderDialogDefaultValue(SpiderRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == SpiderLargeRaceHitOID
		SetSliderDialogStartValue(SpiderLargeRaceHitChance)
		SetSliderDialogDefaultValue(SpiderLargeRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == SpiderGiantRaceHitOID
		SetSliderDialogStartValue(SpiderGiantRaceHitChance)
		SetSliderDialogDefaultValue(SpiderGiantRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == TrollRaceHitOID
		SetSliderDialogStartValue(TrollRaceHitChance)
		SetSliderDialogDefaultValue(TrollRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == WerewolfRaceHitOID
		SetSliderDialogStartValue(WerewolfRaceHitChance)
		SetSliderDialogDefaultValue(WerewolfRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == SabreCatRaceHitOID
		SetSliderDialogStartValue(WerewolfRaceHitChance)
		SetSliderDialogDefaultValue(WerewolfRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	;If Option == VampireRaceHitOID
		;SetSliderDialogStartValue(VampireRaceHitChance)
		;SetSliderDialogDefaultValue(VampireRaceHitChanceDefault)
		;SetSliderDialogRange(0,100)
		;SetSliderDialogInterval(0.25)
	;EndIf	
	If Option == BoarRaceHitOID
		SetSliderDialogStartValue(BoarRaceHitChance)
		SetSliderDialogDefaultValue(BoarRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == ChaurusReaperRaceHitOID
		SetSliderDialogStartValue(ChaurusReaperRaceHitChance)
		SetSliderDialogDefaultValue(ChaurusReaperRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == CowRaceHitOID
		SetSliderDialogStartValue(CowRaceHitChance)
		SetSliderDialogDefaultValue(CowRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DwarvenCenturianRaceHitOID
		SetSliderDialogStartValue(DwarvenCenturianRaceHitChance)
		SetSliderDialogDefaultValue(DwarvenCenturianRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DwarvenSphereRaceHitOID
		SetSliderDialogStartValue(DwarvenSphereRaceHitChance)
		SetSliderDialogDefaultValue(DwarvenSphereRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == HagravenRaceHitOID
		SetSliderDialogStartValue(HagravenRaceHitChance)
		SetSliderDialogDefaultValue(HagravenRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == LurkerRaceHitOID
		SetSliderDialogStartValue(LurkerRaceHitChance)
		SetSliderDialogDefaultValue(LurkerRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == SprigganRaceHitOID
		SetSliderDialogStartValue(SprigganRaceHitChance)
		SetSliderDialogDefaultValue(SprigganRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == VampireLordRaceHitOID
		SetSliderDialogStartValue(VampireLordRaceHitChance)
		SetSliderDialogDefaultValue(VampireLordRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
	If Option == WolfRaceHitOID
		SetSliderDialogStartValue(WolfRaceHitChance)
		SetSliderDialogDefaultValue(WolfRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DragonRaceHitOID
		SetSliderDialogStartValue(DragonRaceHitChance)
		SetSliderDialogDefaultValue(DragonRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == FlameAtronachRaceHitOID
		SetSliderDialogStartValue(FlameAtronachRaceHitChance)
		SetSliderDialogDefaultValue(FlameAtronachRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == ChickenRaceHitOID
		SetSliderDialogStartValue(ChickenRaceHitChance)
		SetSliderDialogDefaultValue(ChickenRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DragonPriestRaceHitOID
		SetSliderDialogStartValue(DragonPriestRaceHitChance)
		SetSliderDialogDefaultValue(DragonPriestRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DremoraRaceHitOID
		SetSliderDialogStartValue(DremoraRaceHitChance)
		SetSliderDialogDefaultValue(DremoraRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == DwarvenBallistaRaceHitOID
		SetSliderDialogStartValue(DwarvenBallistaRaceHitChance)
		SetSliderDialogDefaultValue(DwarvenBallistaRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == NetchRaceHitOID
		SetSliderDialogStartValue(NetchRaceHitChance)
		SetSliderDialogDefaultValue(NetchRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == StormAtronachRaceHitOID
		SetSliderDialogStartValue(StormAtronachRaceHitChance)
		SetSliderDialogDefaultValue(StormAtronachRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf
	If Option == WispMotherRaceHitOID
		SetSliderDialogStartValue(WispMotherRaceHitChance)
		SetSliderDialogDefaultValue(WispMotherRaceHitChanceDefault)
		SetSliderDialogRange(0,100)
		SetSliderDialogInterval(0.25)
	EndIf	
EndEvent

Event OnOptionSliderAccept(int option, float value)
	If (option == pheromoneschanceOID)
		pheromoneschance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == CombatModeHitChanceOID)
		CombatModeChance = value
		SetSliderOptionValue(option, Value, "{1}")
	EndIf
	If (option == CaptureRadiusOID)
		CaptureRadius = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf	
	If (option == CreatureSpeedOID)
		CreatureSpeed = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == CreatureArousalOID)
		CreatureArousal = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf	
	If (option == PheromonesEffectDurationOID)
		PheromonesEffectDuration = value
		SetSliderOptionValue(option, value, "{1}")
		Pheromones.SpellDurations()		
	EndIf
	If (option == StrongPheromonesEffectDurationOID)
		StrongPheromonesEffectDuration = value
		SetSliderOptionValue(option, value, "{1}")
		Pheromones.SpellDurations()
	EndIf		
	If (option == BonusChanceValueOID)
		BonusChanceValue = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == MinimumArousalOID)
		MinimumArousal = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf	
	;If (option == clearpheromoneschanceOID)
		;clearpheromoneschance = value
		;SetSliderOptionValue(option, value, "{1}")
	;EndIf	
	If (option == extrapheromoneschanceOID)
		extrapheromoneschance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf	
	If (option == timebetweenregattacksoid)
		TimeBetweenRegAttacks = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == timebetweenfastattacksoid)
		TimeBetweenFastAttacks = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == ArousalMultiplierOID)
		ArousalMultiplier = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == AshHopperHitOID)
		AshHopperHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == FrostAtronachRaceHitOID)
		FrostAtronachRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == BearRaceHitOID)
		BearRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == CanineRaceHitOID)
		CanineRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == ChaurusRaceHitOID)
		ChaurusRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == ChaurusHunterRaceHitOID)
		ChaurusHunterRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DeerRaceHitOID)
		DeerRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DraugrRaceHitOID)
		DraugrRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == FalmerRaceHitOID)
		FalmerRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == GargoyleRaceHitOID)
		GargoyleRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == GiantRaceHitOID)
		GiantRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf	
	If (option == GoatRaceHitOID)
		GoatRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == HorkerRaceHitOID)
		HorkerRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == HorseBlackRaceHitOID)
		HorseblackRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == MammothRaceHitOID)
		MammothRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == RabbitRaceHitOID)
		RabbitRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == RieklingRaceHitOID)
		RieklingRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == SeekerRaceHitOID)
		SeekerRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == SkeeverRaceHitOID)
		SkeeverRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == SpiderRaceHitOID)
		SpiderRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == SpiderLargeRaceHitOID)
		SpiderLargeRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == SpiderGiantRaceHitOID)
		SpiderGiantRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == TrollRaceHitOID)
		TrollRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == WerewolfRaceHitOID)
		WerewolfRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == SabreCatRaceHitOID)
		SabreCatRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	;If (option == VampireRaceHitOID)
		;VampireRaceHitChance = value
		;SetSliderOptionValue(option, value, "{1}")
	;EndIf
	If (option == BoarRaceHitOID)
		BoarRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == ChaurusReaperRaceHitOID)
		ChaurusReaperRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == CowRaceHitOID)
		CowRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DwarvenCenturianRaceHitOID)
		DwarvenCenturianRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DwarvenSphereRaceHitOID)
		DwarvenSphereRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf	
	If (option == HagravenRaceHitOID)
		HagravenRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == LurkerRaceHitOID)
		LurkerRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == SprigganRaceHitOID)
		SprigganRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == VampireLordRaceHitOID)
		VampireLordRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == WolfRaceHitOID)
		WolfRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DragonRaceHitOID)
		DragonRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == FlameAtronachRaceHitOID)
		FlameAtronachRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == ChickenRaceHitOID)
		ChickenRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DragonPriestRaceHitOID)
		DragonPriestRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DremoraRaceHitOID)
		DremoraRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == DwarvenBallistaRaceHitOID)
		DwarvenBallistaRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == NetchRaceHitOID)
		NetchRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == StormAtronachRaceHitOID)
		StormAtronachRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf
	If (option == WispMotherRaceHitOID)
		WispMotherRaceHitChance = value
		SetSliderOptionValue(option, value, "{1}")
	EndIf		
	If (option == SetAllAttackSlidersOID)
		SetAllAttackSliders = value
		SetSliderOptionValue(option, value, "{1}")
		SetSliderOptionValue(AshHopperHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(BearRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(BoarRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(CanineRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(ChaurusRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(ChaurusHunterRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(ChaurusReaperRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(ChickenRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(CowRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DeerRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DragonRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DragonPriestRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DraugrRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DremoraRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DwarvenBallistaRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DwarvenCenturianRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(DwarvenSphereRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(FalmerRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(FlameAtronachRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(FrostAtronachRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(GargoyleRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(GiantRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(GoatRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(HagravenRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(HorkerRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(HorseBlackRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(LurkerRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(MammothRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(NetchRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(RabbitRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(RieklingRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(SabreCatRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(SeekerRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(SkeeverRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(SpiderRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(SpiderGiantRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(SpiderLargeRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(SprigganRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(StormAtronachRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(TrollRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(VampireLordRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(WerewolfRaceHitOID, SetAllAttackSliders, "{1}")
		SetSliderOptionValue(WispMotherRaceHitOID, SetAllAttackSliders, "{1}")
		;SetSliderOptionValue(VampireRaceHitOID, VampireRaceHitchance, "{1}")
		SetSliderOptionValue(WolfRaceHitOID, SetAllAttackSliders, "{1}")
AshHopperHitChance = value
BearRaceHitChance = value
BoarRaceHitChance = value
CanineRaceHitChance = value
ChaurusHunterRaceHitChance = value
ChaurusRaceHitChance = value
ChaurusReaperRaceHitChance = value
ChickenRaceHitChance = value
CowRaceHitChance = value
DeerRaceHitChance = value
DragonPriestRaceHitChance = value
DragonRaceHitChance = value
DraugrRaceHitChance = value
DremoraRaceHitChance = value
DwarvenBallistaRaceHitChance = value
DwarvenCenturianRaceHitChance = value
DwarvenSphereRaceHitChance = value
FalmerRaceHitChance = value
FlameAtronachRaceHitChance = value
FrostAtronachRaceHitChance = value
GargoyleRaceHitChance = value
GiantRaceHitChance = value
GoatRaceHitChance = value
HagravenRaceHitChance = value
HorkerRaceHitChance = value
HorseblackRaceHitChance = value
LurkerRaceHitChance = value
MammothRaceHitChance = value
NetchRaceHitChance = value
RabbitRaceHitChance = value
RieklingRaceHitChance = value
SabreCatRaceHitChance = value
SeekerRaceHitChance = value
SkeeverRaceHitChance = value
SpiderGiantRaceHitChance = value
SpiderLargeRaceHitChance = value
SpiderRaceHitChance = value
SprigganRaceHitChance = value
StormAtronachRaceHitChance = value
TrollRaceHitChance = value
VampireLordRaceHitChance = value
WerewolfRaceHitChance = value
WispMotherRaceHitChance = value
WolfRaceHitChance = value
	EndIf		
EndEvent

Event OnOptionDefault(int option)
	If (option == pheromoneschanceOID)
		pheromoneschance = PheromonesChanceDefault
		SetSliderOptionValue(pheromoneschanceOID, PheromonesChanceDefault, "{1}")
	EndIf	
	If (option == CaptureRadiusOID)
		CaptureRadius = CaptureRadiusDefault
		SetSliderOptionValue(CaptureRadiusOID, CaptureRadiusDefault, "{1}")
	EndIf		
	If (option == CreatureArousalOID)
		CreatureArousal = CreatureArousalDefault
		SetSliderOptionValue(CreatureArousalOID, CreatureArousalDefault, "{1}")
	EndIf	
	If (option == BonusChanceValueOID)
		BonusChanceValue = BonusChanceValueDefault
		SetSliderOptionValue(BonusChanceValueOID, BonusChanceValueDefault, "{1}")
	EndIf
	If (option == CreatureSpeedOID)
		CreatureSpeed = CreatureSpeedDefault
		SetSliderOptionValue(CreatureSpeedOID, CreatureSpeedDefault, "{1}")
	EndIf	
	If (option == MinimumArousalOID)
		MinimumArousal = MinimumArousalDefault
		SetSliderOptionValue(MinimumArousalOID, MinimumArousalDefault, "{1}")
	EndIf	
	;If (option == clearpheromoneschanceOID)
		;clearpheromoneschance = ClearPheromonesChanceDefault
		;SetSliderOptionValue(clearpheromoneschanceOID, ClearPheromonesChanceDefault, "{1}")
	;EndIf
	If (option == extrapheromoneschanceOID)
		extrapheromoneschance = ExtraPheromonesChanceDefault
		SetSliderOptionValue(extrapheromoneschanceOID, ExtraPheromonesChanceDefault, "{1}")
	EndIf
	If (option == timebetweenregattacksoid)
		TimeBetweenRegAttacks = TimeBetweenRegAttacksDefault
		SetSliderOptionValue(timebetweenregattacksoid, TimeBetweenRegAttacksDefault, "{1}")
	EndIf
	If (option == timebetweenfastattacksoid)
		TimeBetweenFastAttacks = TimeBetweenFastAttacksDefault
		SetSliderOptionValue(timebetweenfastattacksoid, TimeBetweenFastAttacksDefault, "{1}")
	EndIf
	If (option == ArousalMultiplierOID)
		ArousalMultiplier = ArousalMultiplierDefault
		SetSliderOptionValue(timebetweenfastattacksoid, ArousalMultiplierDefault, "{1}")
	EndIf	
EndEvent


function ExportInt(string Name, int Value)
	JsonUtil.SetIntValue(File, Name, Value)
endFunction

int function ImportInt(string Name, int Value)
	return JsonUtil.GetIntValue(File, Name, Value)
endFunction

function ExportBool(string Name, bool Value)
	JsonUtil.SetIntValue(File, Name, Value as int)
endFunction

bool function ImportBool(string Name, bool Value)
	return JsonUtil.GetIntValue(File, Name, Value as int) as bool
endFunction

function ExportFloat(string Name, float Value)
	JsonUtil.SetFloatValue(File, Name, Value)
endFunction

float function ImportFloat(string Name, float Value)
	return JsonUtil.GetFloatValue(File, Name, Value)
endFunction


function ExportSettings()
	File = "../SLP/SLPConfig.json"
	JsonUtil.SetStringValue(File, "ExportLabel", Game.GetPlayer().GetLeveledActorBase().GetName()+" - "+Utility.GetCurrentRealTime() as int)
	JsonUtil.SetStringValue(File, "Version", GetStringVer())	
ExportBool("BonusChanceAllowed", BonusChanceAllowed)
ExportBool("SexLabArousedAllowed", SexLabArousedAllowed)
ExportBool("FemalesAllowed", FemalesAllowed)
ExportBool("MalesAllowed", MalesAllowed)
ExportBool("AshHopperAllowed", AshHopperAllowed)
ExportBool("BearAllowed", BearAllowed)
ExportBool("WerewolfAllowed", WerewolfAllowed)
ExportBool("CanineAllowed", CanineAllowed)
ExportBool("ChaurusAllowed", ChaurusAllowed)
ExportBool("ChaurusHunterAllowed", ChaurusHunterAllowed)
ExportBool("DraugrAllowed", DraugrAllowed)
ExportBool("FalmerAllowed", FalmerAllowed)
ExportBool("GargoyleAllowed", GargoyleAllowed)
ExportBool("GiantAllowed", GiantAllowed)
ExportBool("GoatAllowed", GoatAllowed)
ExportBool("HorkerAllowed", HorkerAllowed)
ExportBool("MammothAllowed", MammothAllowed)
ExportBool("RabbitAllowed", RabbitAllowed)
ExportBool("RieklingAllowed", RieklingAllowed)
ExportBool("SeekerAllowed", SeekerAllowed)
ExportBool("SkeeverAllowed", SkeeverAllowed)
ExportBool("SpiderAllowed", SpiderAllowed)
ExportBool("SpiderLargeAllowed", SpiderLargeAllowed)
ExportBool("SpiderGiantAllowed", SpiderGiantAllowed)
ExportBool("TrollAllowed", TrollAllowed)
ExportBool("HorseAllowed", HorseAllowed)
ExportBool("SabreCatAllowed", SabreCatAllowed)
ExportBool("VampireAllowed", VampireAllowed)
ExportBool("FrostAtronachAllowed", FrostAtronachAllowed)
ExportBool("DeerAllowed", DeerAllowed)
ExportBool("DragonAllowed", DragonAllowed)
ExportBool("ChickenAllowed", ChickenAllowed)
ExportBool("DragonPriestAllowed", DragonPriestAllowed)
ExportBool("DremoraAllowed", DremoraAllowed)
ExportBool("DwarvenBallistaAllowed", DwarvenBallistaAllowed)
ExportBool("FlameAtronachAllowed", FlameAtronachAllowed)
ExportBool("NetchAllowed", NetchAllowed)
ExportBool("StormAtronachAllowed", StormAtronachAllowed)
ExportBool("WispMotherAllowed", WispMotherAllowed)
ExportBool("BoarAllowed", BoarAllowed)
ExportBool("ChaurusReaperAllowed", ChaurusReaperAllowed)
ExportBool("CowAllowed", CowAllowed)
ExportBool("DwarvenCenturianAllowed", DwarvenCenturianAllowed)
ExportBool("DwarvenSphereAllowed", DwarvenSphereAllowed)
ExportBool("HagravenAllowed", HagravenAllowed)
ExportBool("LurkerAllowed", LurkerAllowed)
ExportBool("SprigganAllowed", SprigganAllowed)
ExportBool("VampireLordAllowed", VampireLordAllowed)
ExportBool("WolfAllowed", WolfAllowed)
ExportBool("StealthMode", StealthMode)
ExportBool("CreatureGroupsAllowed", CreatureGroupsAllowed)
ExportBool("ArgonianAllowed", ArgonianAllowed)
ExportBool("BretonAllowed", BretonAllowed)
ExportBool("DarkElfAllowed", DarkElfAllowed)
ExportBool("HighElfAllowed", HighElfAllowed)
ExportBool("ImperialAllowed", ImperialAllowed)
ExportBool("KhajiitAllowed", KhajiitAllowed)
ExportBool("NordAllowed", NordAllowed)
ExportBool("OrcAllowed", OrcAllowed)
ExportBool("RedguardAllowed", RedguardAllowed)
ExportBool("WoodElfAllowed", WoodElfAllowed)
ExportBool("CreaturesAllowed", CreaturesAllowed)
ExportBool("NPCsAllowed", NPCsAllowed)
ExportBool("AllowFollowerSupport", AllowFollowerSupport)
ExportBool("AttackStartOnHit", AttackStartOnHit)
ExportBool("RelentlessAttackers", RelentlessAttackers)
ExportBool("AttackersDamage", AttackersDamage)
ExportFloat("BonusChanceValue", BonusChanceValue)
ExportFloat("pheromoneschance", pheromoneschance)
ExportFloat("MinimumArousal", MinimumArousal)
ExportFloat("ArousalMultiplier", ArousalMultiplier)
ExportFloat("extrapheromoneschance", extrapheromoneschance)
ExportFloat("AshHopperHitChance", AshHopperHitChance)
ExportFloat("FrostAtronachRaceHitChance", FrostAtronachRaceHitChance)
ExportFloat("BearRaceHitChance", BearRaceHitChance)
ExportFloat("CanineRaceHitChance", CanineRaceHitChance)
ExportFloat("ChaurusRaceHitChance", ChaurusRaceHitChance)
ExportFloat("ChaurusHunterRaceHitChance", ChaurusHunterRaceHitChance)
ExportFloat("DeerRaceHitChance", DeerRaceHitChance)
ExportFloat("DraugrRaceHitChance", DraugrRaceHitChance)
ExportFloat("FalmerRaceHitChance", FalmerRaceHitChance)
ExportFloat("GargoyleRaceHitChance", GargoyleRaceHitChance)
ExportFloat("GiantRaceHitChance", GiantRaceHitChance)
ExportFloat("GoatRaceHitChance", GoatRaceHitChance)
ExportFloat("HorkerRaceHitChance", HorkerRaceHitChance)
ExportFloat("HorseBlackRaceHitChance", HorseBlackRaceHitChance)
ExportFloat("MammothRaceHitChance", MammothRaceHitChance)
ExportFloat("RabbitRaceHitChance", RabbitRaceHitChance)
ExportFloat("RieklingRaceHitChance", RieklingRaceHitChance)
ExportFloat("SeekerRaceHitChance", SeekerRaceHitChance)
ExportFloat("SkeeverRaceHitChance", SkeeverRaceHitChance)
ExportFloat("SpiderRaceHitChance", SpiderRaceHitChance)
ExportFloat("SpiderLargeRaceHitChance", SpiderLargeRaceHitChance)
ExportFloat("SpiderGiantRaceHitChance", SpiderGiantRaceHitChance)
ExportFloat("TrollRaceHitChance", TrollRaceHitChance)
ExportFloat("WerewolfRaceHitChance", WerewolfRaceHitChance)
ExportFloat("SabreCatRaceHitChance", SabreCatRaceHitChance)
ExportFloat("VampireRaceHitChance", VampireRaceHitChance)
ExportFloat("BoarRaceHitChance", BoarRaceHitChance)
ExportFloat("ChaurusReaperRaceHitChance", ChaurusReaperRaceHitChance)
ExportFloat("CowRaceHitChance", CowRaceHitChance)
ExportFloat("DwarvenCenturianRaceHitChance", DwarvenCenturianRaceHitChance)
ExportFloat("DwarvenSphereRaceHitChance", DwarvenSphereRaceHitChance)
ExportFloat("HagravenRaceHitChance", HagravenRaceHitChance)
ExportFloat("LurkerRaceHitChance", LurkerRaceHitChance)
ExportFloat("SprigganRaceHitChance", SprigganRaceHitChance)
ExportFloat("VampireLordRaceHitChance", VampireLordRaceHitChance)
ExportFloat("WolfRaceHitChance", WolfRaceHitChance)
ExportFloat("MagicAnomalyRaceHitChance", MagicAnomalyRaceHitChance)
ExportFloat("DragonRaceHitChance", DragonRaceHitChance)
ExportFloat("FlameAtronachRaceHitChance", FlameAtronachRaceHitChance)
ExportFloat("ChickenRaceHitChance", ChickenRaceHitChance)
ExportFloat("DragonPriestRaceHitChance", DragonPriestRaceHitChance)
ExportFloat("DremoraRaceHitChance", DremoraRaceHitChance)
ExportFloat("DwarvenBallistaRaceHitChance", DwarvenBallistaRaceHitChance)
ExportFloat("NetchRaceHitChance", NetchRaceHitChance)
ExportFloat("StormAtronachRaceHitChance", StormAtronachRaceHitChance)
ExportFloat("WispMotherRaceHitChance", WispMotherRaceHitChance)
ExportFloat("HornyArgonianRaceHitChance", HornyArgonianRaceHitChance)
ExportFloat("HornyBretonRaceHitChance", HornyBretonRaceHitChance)
ExportFloat("HornyImperialRaceHitChance", HornyImperialRaceHitChance)
ExportFloat("HornyKhajiitRaceHitChance", HornyKhajiitRaceHitChance)
ExportFloat("HornyNordRaceHitChance", HornyNordRaceHitChance)
ExportFloat("HornyRedguardRaceHitChance", HornyRedguardRaceHitChance)
ExportFloat("HornyDarkElfRaceHitChance", HornyDarkElfRaceHitChance)
ExportFloat("HornyHighElfRaceHitChance", HornyHighElfRaceHitChance)
ExportFloat("HornyWoodElfRaceHitChance", HornyWoodElfRaceHitChance)
ExportFloat("HornyOrcRaceHitChance", HornyOrcRaceHitChance)
ExportFloat("TimeBetweenRegAttacks", TimeBetweenRegAttacks)
ExportFloat("TimeBetweenFastAttacks", TimeBetweenFastAttacks)
ExportFloat("PheromonesEffectDuration", PheromonesEffectDuration)
ExportFloat("StrongPheromonesEffectDuration", StrongPheromonesEffectDuration)
ExportFloat("CreatureSpeed", CreatureSpeed)
ExportFloat("CreatureArousal", CreatureArousal)
ExportFloat("CaptureRadius", CaptureRadius)
ExportFloat("CombatModeChance", CombatModeChance)
JsonUtil.Save(File, false)
EndFunction

function ImportSettings()
	File = "../SLP/SLPConfig.json"
	String version = ""
	If JsonUtil.GetStringValue(File, "Version", version) != GetStringVer()
		;If !ShowMessage("IMPORTVERSIONWARNING")
			;Return
		;Endif
	EndIf
BonusChanceAllowed = ImportBool("BonusChanceAllowed", BonusChanceAllowed)
SexLabArousedAllowed = ImportBool("SexLabArousedAllowed", SexLabArousedAllowed)
FemalesAllowed = ImportBool("FemalesAllowed", FemalesAllowed)
MalesAllowed = ImportBool("MalesAllowed", MalesAllowed)
AshHopperAllowed = ImportBool("AshHopperAllowed", AshHopperAllowed)
BearAllowed = ImportBool("BearAllowed", BearAllowed)
WerewolfAllowed = ImportBool("WerewolfAllowed", WerewolfAllowed)
CanineAllowed = ImportBool("CanineAllowed", CanineAllowed)
ChaurusAllowed = ImportBool("ChaurusAllowed", ChaurusAllowed)
ChaurusHunterAllowed = ImportBool("ChaurusHunterAllowed", ChaurusHunterAllowed)
DraugrAllowed = ImportBool("DraugrAllowed", DraugrAllowed)
FalmerAllowed = ImportBool("FalmerAllowed", FalmerAllowed)
GargoyleAllowed = ImportBool("GargoyleAllowed", GargoyleAllowed)
GiantAllowed = ImportBool("GiantAllowed", GiantAllowed)
GoatAllowed = ImportBool("GoatAllowed", GoatAllowed)
HorkerAllowed = ImportBool("HorkerAllowed", HorkerAllowed)
MammothAllowed = ImportBool("MammothAllowed", MammothAllowed)
RabbitAllowed = ImportBool("RabbitAllowed", RabbitAllowed)
RieklingAllowed = ImportBool("RieklingAllowed", RieklingAllowed)
SeekerAllowed = ImportBool("SeekerAllowed", SeekerAllowed)
SkeeverAllowed = ImportBool("SkeeverAllowed", SkeeverAllowed)
SpiderAllowed = ImportBool("SpiderAllowed", SpiderAllowed)
SpiderLargeAllowed = ImportBool("SpiderLargeAllowed", SpiderLargeAllowed)
SpiderGiantAllowed = ImportBool("SpiderGiantAllowed", SpiderGiantAllowed)
TrollAllowed = ImportBool("TrollAllowed", TrollAllowed)
HorseAllowed = ImportBool("HorseAllowed", HorseAllowed)
SabreCatAllowed = ImportBool("SabreCatAllowed", SabreCatAllowed)
VampireAllowed = ImportBool("VampireAllowed", VampireAllowed)
FrostAtronachAllowed = ImportBool("FrostAtronachAllowed", FrostAtronachAllowed)
DeerAllowed = ImportBool("DeerAllowed", DeerAllowed)
DragonAllowed = ImportBool("DragonAllowed", DragonAllowed)
ChickenAllowed = ImportBool("ChickenAllowed", ChickenAllowed)
DragonPriestAllowed = ImportBool("DragonPriestAllowed", DragonPriestAllowed)
DremoraAllowed = ImportBool("DremoraAllowed", DremoraAllowed)
DwarvenBallistaAllowed = ImportBool("DwarvenBallistaAllowed", DwarvenBallistaAllowed)
FlameAtronachAllowed = ImportBool("FlameAtronachAllowed", FlameAtronachAllowed)
NetchAllowed = ImportBool("NetchAllowed", NetchAllowed)
StormAtronachAllowed = ImportBool("StormAtronachAllowed", StormAtronachAllowed)
WispMotherAllowed = ImportBool("WispMotherAllowed", WispMotherAllowed)
BoarAllowed = ImportBool("BoarAllowed", BoarAllowed)
ChaurusReaperAllowed = ImportBool("ChaurusReaperAllowed", ChaurusReaperAllowed)
CowAllowed = ImportBool("CowAllowed", CowAllowed)
DwarvenCenturianAllowed = ImportBool("DwarvenCenturianAllowed", DwarvenCenturianAllowed)
DwarvenSphereAllowed = ImportBool("DwarvenSphereAllowed", DwarvenSphereAllowed)
HagravenAllowed = ImportBool("HagravenAllowed", HagravenAllowed)
LurkerAllowed = ImportBool("LurkerAllowed", LurkerAllowed)
SprigganAllowed = ImportBool("SprigganAllowed", SprigganAllowed)
VampireLordAllowed = ImportBool("VampireLordAllowed", VampireLordAllowed)
WolfAllowed = ImportBool("WolfAllowed", WolfAllowed)
StealthMode = ImportBool("StealthMode", StealthMode)
CreatureGroupsAllowed = ImportBool("CreatureGroupsAllowed", CreatureGroupsAllowed)
ArgonianAllowed = ImportBool("ArgonianAllowed", ArgonianAllowed)
BretonAllowed = ImportBool("BretonAllowed", BretonAllowed)
DarkElfAllowed = ImportBool("DarkElfAllowed", DarkElfAllowed)
HighElfAllowed = ImportBool("HighElfAllowed", HighElfAllowed)
ImperialAllowed = ImportBool("ImperialAllowed", ImperialAllowed)
KhajiitAllowed = ImportBool("KhajiitAllowed", KhajiitAllowed)
NordAllowed = ImportBool("NordAllowed", NordAllowed)
OrcAllowed = ImportBool("OrcAllowed", OrcAllowed)
RedguardAllowed = ImportBool("RedguardAllowed", RedguardAllowed)
WoodElfAllowed = ImportBool("WoodElfAllowed", WoodElfAllowed)
CreaturesAllowed = ImportBool("CreaturesAllowed", CreaturesAllowed)
NPCsAllowed = ImportBool("NPCsAllowed", NPCsAllowed)
AllowFollowerSupport = ImportBool("AllowFollowerSupport", AllowFollowerSupport)
AttackStartOnHit = ImportBool("AttackStartOnHit", AttackStartOnHit)
RelentlessAttackers = ImportBool("RelentlessAttackers", RelentlessAttackers)
AttackersDamage = ImportBool("AttackersDamage", AttackersDamage)

BonusChanceValue = ImportFloat("BonusChanceValue", BonusChanceValue)
pheromoneschance = ImportFloat("pheromoneschance", pheromoneschance)
MinimumArousal = ImportFloat("MinimumArousal", MinimumArousal)
ArousalMultiplier = ImportFloat("ArousalMultiplier", ArousalMultiplier)
extrapheromoneschance = ImportFloat("extrapheromoneschance", extrapheromoneschance)
AshHopperHitChance = ImportFloat("AshHopperHitChance", AshHopperHitChance)
FrostAtronachRaceHitChance = ImportFloat("FrostAtronachRaceHitChance", FrostAtronachRaceHitChance)
BearRaceHitChance = ImportFloat("BearRaceHitChance", BearRaceHitChance)
CanineRaceHitChance = ImportFloat("CanineRaceHitChance", CanineRaceHitChance)
ChaurusRaceHitChance = ImportFloat("ChaurusRaceHitChance", ChaurusRaceHitChance)
ChaurusHunterRaceHitChance = ImportFloat("ChaurusHunterRaceHitChance", ChaurusHunterRaceHitChance)
DeerRaceHitChance = ImportFloat("DeerRaceHitChance", DeerRaceHitChance)
DraugrRaceHitChance = ImportFloat("DraugrRaceHitChance", DraugrRaceHitChance)
FalmerRaceHitChance = ImportFloat("FalmerRaceHitChance", FalmerRaceHitChance)
GargoyleRaceHitChance = ImportFloat("GargoyleRaceHitChance", GargoyleRaceHitChance)
GiantRaceHitChance = ImportFloat("GiantRaceHitChance", GiantRaceHitChance)
GoatRaceHitChance = ImportFloat("GoatRaceHitChance", GoatRaceHitChance)
HorkerRaceHitChance = ImportFloat("HorkerRaceHitChance", HorkerRaceHitChance)
HorseBlackRaceHitChance = ImportFloat("HorseBlackRaceHitChance", HorseBlackRaceHitChance)
MammothRaceHitChance = ImportFloat("MammothRaceHitChance", MammothRaceHitChance)
RabbitRaceHitChance = ImportFloat("RabbitRaceHitChance", RabbitRaceHitChance)
RieklingRaceHitChance = ImportFloat("RieklingRaceHitChance", RieklingRaceHitChance)
SeekerRaceHitChance = ImportFloat("SeekerRaceHitChance", SeekerRaceHitChance)
SkeeverRaceHitChance = ImportFloat("SkeeverRaceHitChance", SkeeverRaceHitChance)
SpiderRaceHitChance = ImportFloat("SpiderRaceHitChance", SpiderRaceHitChance)
SpiderLargeRaceHitChance = ImportFloat("SpiderLargeRaceHitChance", SpiderLargeRaceHitChance)
SpiderGiantRaceHitChance = ImportFloat("SpiderGiantRaceHitChance", SpiderGiantRaceHitChance)
TrollRaceHitChance = ImportFloat("TrollRaceHitChance", TrollRaceHitChance)
WerewolfRaceHitChance = ImportFloat("WerewolfRaceHitChance", WerewolfRaceHitChance)
SabreCatRaceHitChance = ImportFloat("SabreCatRaceHitChance", SabreCatRaceHitChance)
VampireRaceHitChance = ImportFloat("VampireRaceHitChance", VampireRaceHitChance)
BoarRaceHitChance = ImportFloat("BoarRaceHitChance", BoarRaceHitChance)
ChaurusReaperRaceHitChance = ImportFloat("ChaurusReaperRaceHitChance", ChaurusReaperRaceHitChance)
CowRaceHitChance = ImportFloat("CowRaceHitChance", CowRaceHitChance)
DwarvenCenturianRaceHitChance = ImportFloat("DwarvenCenturianRaceHitChance", DwarvenCenturianRaceHitChance)
DwarvenSphereRaceHitChance = ImportFloat("DwarvenSphereRaceHitChance", DwarvenSphereRaceHitChance)
HagravenRaceHitChance = ImportFloat("HagravenRaceHitChance", HagravenRaceHitChance)
LurkerRaceHitChance = ImportFloat("LurkerRaceHitChance", LurkerRaceHitChance)
SprigganRaceHitChance = ImportFloat("SprigganRaceHitChance", SprigganRaceHitChance)
VampireLordRaceHitChance = ImportFloat("VampireLordRaceHitChance", VampireLordRaceHitChance)
WolfRaceHitChance = ImportFloat("WolfRaceHitChance", WolfRaceHitChance)
MagicAnomalyRaceHitChance = ImportFloat("MagicAnomalyRaceHitChance", MagicAnomalyRaceHitChance)
DragonRaceHitChance = ImportFloat("DragonRaceHitChance", DragonRaceHitChance)
FlameAtronachRaceHitChance = ImportFloat("FlameAtronachRaceHitChance", FlameAtronachRaceHitChance)
ChickenRaceHitChance = ImportFloat("ChickenRaceHitChance", ChickenRaceHitChance)
DragonPriestRaceHitChance = ImportFloat("DragonPriestRaceHitChance", DragonPriestRaceHitChance)
DremoraRaceHitChance = ImportFloat("DremoraRaceHitChance", DremoraRaceHitChance)
DwarvenBallistaRaceHitChance = ImportFloat("DwarvenBallistaRaceHitChance", DwarvenBallistaRaceHitChance)
NetchRaceHitChance = ImportFloat("NetchRaceHitChance", NetchRaceHitChance)
StormAtronachRaceHitChance = ImportFloat("StormAtronachRaceHitChance", StormAtronachRaceHitChance)
WispMotherRaceHitChance = ImportFloat("WispMotherRaceHitChance", WispMotherRaceHitChance)
TimeBetweenRegAttacks = ImportFloat("TimeBetweenRegAttacks", TimeBetweenRegAttacks)
TimeBetweenFastAttacks = ImportFloat("TimeBetweenFastAttacks", TimeBetweenFastAttacks)
PheromonesEffectDuration = ImportFloat("PheromonesEffectDuration", PheromonesEffectDuration)
StrongPheromonesEffectDuration = ImportFloat("StrongPheromonesEffectDuration", StrongPheromonesEffectDuration)
CreatureSpeed = ImportFloat("CreatureSpeed", CreatureSpeed)
CreatureArousal = ImportFloat("CreatureArousal", CreatureArousal)
CaptureRadius = ImportFloat("CaptureRadius", CaptureRadius)
CombatModeChance = ImportFloat("CombatModeChance", CombatModeChance)
SetSliderOptions()
EndFunction

Function SetSliderOptions()
SetSliderOptionValue(pheromoneschanceOID, pheromoneschance, "{1}")
SetSliderOptionValue(BonusChanceOID, BonusChanceValue, "{1}")	
SetSliderOptionValue(MinimumArousalOID, MinimumArousal, "{1}")
SetSliderOptionValue(ArousalMultiplierOID, ArousalMultiplier, "{1}")
SetSliderOptionValue(extrapheromoneschanceOID, extrapheromoneschance, "{1}")
SetSliderOptionValue(AshHopperHitOID, AshHopperHitchance, "{1}")
SetSliderOptionValue(FrostAtronachRaceHitOID, FrostAtronachRaceHitchance, "{1}")
SetSliderOptionValue(BearRaceHitOID, BearRaceHitchance, "{1}")
SetSliderOptionValue(CanineRaceHitOID, CanineRaceHitchance, "{1}")
SetSliderOptionValue(ChaurusRaceHitOID, ChaurusRaceHitchance, "{1}")
SetSliderOptionValue(ChaurusHunterRaceHitOID, ChaurusHunterRaceHitchance, "{1}")
SetSliderOptionValue(DeerRaceHitOID, DeerRaceHitchance, "{1}")
SetSliderOptionValue(DraugrRaceHitOID, DraugrRaceHitchance, "{1}")
SetSliderOptionValue(FalmerRaceHitOID, FalmerRaceHitchance, "{1}")
SetSliderOptionValue(GargoyleRaceHitOID, GargoyleRaceHitchance, "{1}")
SetSliderOptionValue(GiantRaceHitOID, GiantRaceHitchance, "{1}")
SetSliderOptionValue(GoatRaceHitOID, GoatRaceHitchance, "{1}")
SetSliderOptionValue(HorkerRaceHitOID, HorkerRaceHitchance, "{1}")
SetSliderOptionValue(HorseBlackRaceHitOID, HorseBlackRaceHitchance, "{1}")
SetSliderOptionValue(MammothRaceHitOID, MammothRaceHitchance, "{1}")
SetSliderOptionValue(RabbitRaceHitOID, RabbitRaceHitchance, "{1}")
SetSliderOptionValue(RieklingRaceHitOID, RieklingRaceHitchance, "{1}")
SetSliderOptionValue(SeekerRaceHitOID, SeekerRaceHitchance, "{1}")
SetSliderOptionValue(SkeeverRaceHitOID, SkeeverRaceHitchance, "{1}")
SetSliderOptionValue(SpiderRaceHitOID, SpiderRaceHitchance, "{1}")
SetSliderOptionValue(SpiderLargeRaceHitOID, SpiderLargeRaceHitchance, "{1}")
SetSliderOptionValue(SpiderGiantRaceHitOID, SpiderGiantRaceHitchance, "{1}")
SetSliderOptionValue(TrollRaceHitOID, TrollRaceHitchance, "{1}")
SetSliderOptionValue(WerewolfRaceHitOID, WerewolfRaceHitchance, "{1}")
SetSliderOptionValue(SabreCatRaceHitOID, SabreCatRaceHitchance, "{1}")
;SetSliderOptionValue(VampireRaceHitOID, VampireRaceHitchance, "{1}")
SetSliderOptionValue(BoarRaceHitOID, BoarRaceHitchance, "{1}")
SetSliderOptionValue(ChaurusReaperRaceHitOID, ChaurusReaperRaceHitchance, "{1}")
SetSliderOptionValue(CowRaceHitOID, CowRaceHitchance, "{1}")
SetSliderOptionValue(DwarvenCenturianRaceHitOID, DwarvenCenturianRaceHitchance, "{1}")
SetSliderOptionValue(DwarvenSphereRaceHitOID, DwarvenSphereRaceHitchance, "{1}")
SetSliderOptionValue(HagravenRaceHitOID, HagravenRaceHitchance, "{1}")
SetSliderOptionValue(LurkerRaceHitOID, LurkerRaceHitchance, "{1}")
SetSliderOptionValue(SprigganRaceHitOID, SprigganRaceHitchance, "{1}")
SetSliderOptionValue(VampireLordRaceHitOID, VampireLordRaceHitchance, "{1}")
SetSliderOptionValue(WolfRaceHitOID, WolfRaceHitchance, "{1}")
;SetSliderOptionValue(MagicAnomalyRaceHitOID, MagicAnomalyRaceHitchance, "{1}")
SetSliderOptionValue(DragonRaceHitOID, DragonRaceHitchance, "{1}")
SetSliderOptionValue(FlameAtronachRaceHitOID, FlameAtronachRaceHitchance, "{1}")
SetSliderOptionValue(ChickenRaceHitOID, ChickenRaceHitchance, "{1}")
SetSliderOptionValue(DragonPriestRaceHitOID, DragonPriestRaceHitchance, "{1}")
SetSliderOptionValue(DremoraRaceHitOID, DremoraRaceHitchance, "{1}")
SetSliderOptionValue(DwarvenBallistaRaceHitOID, DwarvenBallistaRaceHitchance, "{1}")
SetSliderOptionValue(NetchRaceHitOID, NetchRaceHitchance, "{1}")
SetSliderOptionValue(StormAtronachRaceHitOID, StormAtronachRaceHitchance, "{1}")
SetSliderOptionValue(WispMotherRaceHitOID, WispMotherRaceHitchance, "{1}")
SetSliderOptionValue(timebetweenregattacksoid, TimeBetweenRegAttacks, "{1}")
SetSliderOptionValue(timebetweenfastattacksoid, TimeBetweenfastAttacks, "{1}")
SetSliderOptionValue(PheromonesEffectDurationOID, PheromonesEffectDuration, "{1}")
SetSliderOptionValue(StrongPheromonesEffectDurationOID, StrongPheromonesEffectDuration, "{1}")
SetSliderOptionValue(CreatureSpeedOID, CreatureSpeed, "{1}")
SetSliderOptionValue(CreatureArousalOID, CreatureArousal, "{1}")
SetSliderOptionValue(CaptureRadiusOID, CaptureRadius, "{1}")
SetSliderOptionValue(CombatModeHitChanceOID, CombatModeChance, "{1}")
EndFunction		